﻿module("VOICE")

distances = {}

distances.patterns = {
	L"0_point",
	L"1",
	L"1-1",
	L"1-1_point-1",
	L"1-1_pt-1",
	L"10",
	L"100",
	L"1000",
	L"100_and",
	L"11",
	L"12",
	L"13",
	L"14",
	L"15",
	L"16",
	L"17",
	L"18",
	L"19",
	L"2",
	L"2-1",
	L"2-1_point",
	L"2-1_pt",
	L"20",
	L"200",
	L"200_and",
	L"20_and",
	L"3",
	L"30",
	L"300",
	L"300_and",
	L"30_and",
	L"3_point",
	L"3_pt",
	L"4",
	L"40",
	L"400",
	L"400_and",
	L"40_and",
	L"4_point",
	L"4_pt",
	L"5",
	L"50",
	L"500",
	L"500_and",
	L"50_and",
	L"5_point",
	L"5_pt",
	L"6",
	L"60",
	L"600",
	L"600_and",
	L"60_and",
	L"6_point",
	L"6_pt",
	L"7",
	L"70",
	L"700",
	L"700_and",
	L"70_and",
	L"7_point",
	L"7_pt",
	L"8",
	L"80",
	L"800",
	L"800_and",
	L"80_and",
	L"8_point",
	L"8_pt",
	L"9",
	L"90",
	L"900",
	L"900_and",
	L"90_and",
	L"9_point",
	L"9_pt",
	L"Drive-1",
	L"Drive-10",
	L"Drive-100",
	L"Drive-2",
	L"Drive-3",
	L"Drive-4",
	L"Drive-40",
	L"Drive-5",
	L"Drive-6",
	L"Drive-7",
	L"Drive-8",
	L"Drive-9",
	L"Drive-m",
	L"Drive-n",
	L"The_trip_is_more_than-1",
	L"The_trip_is_more_than-10",
	L"The_trip_is_more_than-100",
	L"The_trip_is_more_than-2",
	L"The_trip_is_more_than-3",
	L"The_trip_is_more_than-4",
	L"The_trip_is_more_than-40",
	L"The_trip_is_more_than-5",
	L"The_trip_is_more_than-6",
	L"The_trip_is_more_than-7",
	L"The_trip_is_more_than-8",
	L"The_trip_is_more_than-9",
	L"The_trip_is_more_than-n",
	L"a_quarter_mile",
	L"a_quarter_mile-e",
	L"after-1",
	L"after-10",
	L"after-100",
	L"after-2",
	L"after-3",
	L"after-4",
	L"after-40",
	L"after-5",
	L"after-6",
	L"after-7",
	L"after-8",
	L"after-9",
	L"after-b-1",
	L"after-b-10",
	L"after-b-100",
	L"after-b-2",
	L"after-b-3",
	L"after-b-4",
	L"after-b-40",
	L"after-b-5",
	L"after-b-6",
	L"after-b-7",
	L"after-b-8",
	L"after-b-9",
	L"after-b-m",
	L"after-b-n",
	L"after-m",
	L"after-n",
	L"and_1",
	L"and_1-1",
	L"and_10",
	L"and_2",
	L"and_2-1",
	L"and_20",
	L"and_3",
	L"and_30",
	L"and_4",
	L"and_40",
	L"and_5",
	L"and_50",
	L"and_6",
	L"and_60",
	L"and_7",
	L"and_70",
	L"and_8",
	L"and_80",
	L"and_9",
	L"and_90",
	L"feet-1",
	L"feet-1-e",
	L"feet-100",
	L"feet-100-e",
	L"feet-200",
	L"feet-200-e",
	L"feet-340",
	L"feet-340-e",
	L"feet-50",
	L"feet-50-e",
	L"feet-56789",
	L"feet-56789-e",
	L"half_a_mile",
	L"half_a_mile-e",
	L"kilometer",
	L"kilometer-e",
	L"kilometers-1",
	L"kilometers-1-1",
	L"kilometers-1-1-e",
	L"kilometers-1-2",
	L"kilometers-1-2-e",
	L"kilometers-1-3",
	L"kilometers-1-3-e",
	L"kilometers-1-4",
	L"kilometers-1-4-e",
	L"kilometers-1-e",
	L"kilometers-11",
	L"kilometers-11-e",
	L"kilometers-200",
	L"kilometers-200-e",
	L"kilometers-340",
	L"kilometers-340-e",
	L"kilometers-40",
	L"kilometers-40-e",
	L"kilometers-500",
	L"kilometers-500-e",
	L"kilometers-5678",
	L"kilometers-5678-e",
	L"kilometers-56910",
	L"kilometers-56910-e",
	L"kilometers-78",
	L"kilometers-78-e",
	L"kilometers-91",
	L"kilometers-91-e",
	L"meters-10",
	L"meters-10-e",
	L"meters-200",
	L"meters-200-e",
	L"meters-300",
	L"meters-300-e",
	L"meters-40",
	L"meters-40-e",
	L"meters-50",
	L"meters-50-e",
	L"meters-500",
	L"meters-500-e",
	L"meters-90",
	L"meters-90-e",
	L"mile",
	L"mile-e",
	L"miles-1",
	L"miles-1-1",
	L"miles-1-1-e",
	L"miles-1-2",
	L"miles-1-2-e",
	L"miles-1-3",
	L"miles-1-3-e",
	L"miles-1-4",
	L"miles-1-4-e",
	L"miles-1-e",
	L"miles-11",
	L"miles-11-e",
	L"miles-200",
	L"miles-200-e",
	L"miles-340",
	L"miles-340-e",
	L"miles-40",
	L"miles-40-e",
	L"miles-500",
	L"miles-500-e",
	L"miles-5678",
	L"miles-5678-e",
	L"miles-56910",
	L"miles-56910-e",
	L"miles-78",
	L"miles-78-e",
	L"miles-91",
	L"miles-91-e",
	L"more_than",
	L"three_quarters_of_a_mile",
	L"three_quarters_of_a_mile-e",
	L"yards-10",
	L"yards-10-e",
	L"yards-200",
	L"yards-200-e",
	L"yards-300",
	L"yards-300-e",
	L"yards-40",
	L"yards-40-e",
	L"yards-50",
	L"yards-50-e",
	L"yards-90",
	L"yards-90-e",
}

distances.meters = {
	10, "\118\6\129\69\0\106\6\129\69\0\106\6\129\70\0\77\6\129\70\0\91\6\129\70\0",
	20, "\120\23\129\69\0\108\23\129\69\0\108\23\129\70\0\79\23\129\70\0\93\23\129\70\0",
	30, "\121\28\129\69\0\109\28\129\69\0\109\28\129\70\0\80\28\129\70\0\94\28\129\70\0",
	40, "\123\35\129\75\0\111\35\129\75\0\111\35\129\76\0\82\35\129\76\0\96\35\129\76\0",
	50, "\124\42\129\77\0\112\42\129\77\0\112\42\129\78\0\83\42\129\78\0\97\42\129\78\0",
	60, "\125\49\129\77\0\113\49\129\77\0\113\49\129\78\0\84\49\129\78\0\98\49\129\78\0",
	70, "\126\56\129\77\0\114\56\129\77\0\114\56\129\78\0\85\56\129\78\0\99\56\129\78\0",
	80, "\127\63\129\77\0\115\63\129\77\0\115\63\129\78\0\86\63\129\78\0\100\63\129\78\0",
	90, "\129\0\70\129\81\0\116\70\129\81\0\116\70\129\82\0\87\70\129\82\0\101\70\129\82\0",
	100, "\119\7\129\81\0\107\7\129\81\0\107\7\129\82\0\78\7\129\82\0\92\7\129\82\0",
	110, "\119\9\129\7\129\69\0\107\9\129\7\129\69\0\107\9\129\7\129\70\0\78\9\129\7\129\70\0\92\9\129\7\129\70\0",
	120, "\119\9\129\10\129\69\0\107\9\129\10\129\69\0\107\9\129\10\129\70\0\78\9\129\10\129\70\0\92\9\129\10\129\70\0",
	130, "\119\9\129\12\129\69\0\107\9\129\12\129\69\0\107\9\129\12\129\70\0\78\9\129\12\129\70\0\92\9\129\12\129\70\0",
	140, "\119\9\129\14\129\75\0\107\9\129\14\129\75\0\107\9\129\14\129\76\0\78\9\129\14\129\76\0\92\9\129\14\129\76\0",
	150, "\119\9\129\16\129\77\0\107\9\129\16\129\77\0\107\9\129\16\129\78\0\78\9\129\16\129\78\0\92\9\129\16\129\78\0",
	160, "\119\9\129\18\129\77\0\107\9\129\18\129\77\0\107\9\129\18\129\78\0\78\9\129\18\129\78\0\92\9\129\18\129\78\0",
	170, "\119\9\129\20\129\77\0\107\9\129\20\129\77\0\107\9\129\20\129\78\0\78\9\129\20\129\78\0\92\9\129\20\129\78\0",
	180, "\119\9\129\22\129\77\0\107\9\129\22\129\77\0\107\9\129\22\129\78\0\78\9\129\22\129\78\0\92\9\129\22\129\78\0",
	190, "\119\9\129\24\129\81\0\107\9\129\24\129\81\0\107\9\129\24\129\82\0\78\9\129\24\129\82\0\92\9\129\24\129\82\0",
	200, "\120\24\129\71\0\108\24\129\71\0\108\24\129\72\0\79\24\129\72\0\93\24\129\72\0",
	210, "\120\25\129\7\129\69\0\108\25\129\7\129\69\0\108\25\129\7\129\70\0\79\25\129\7\129\70\0\93\25\129\7\129\70\0",
	220, "\120\25\129\10\129\69\0\108\25\129\10\129\69\0\108\25\129\10\129\70\0\79\25\129\10\129\70\0\93\25\129\10\129\70\0",
	230, "\120\25\129\12\129\69\0\108\25\129\12\129\69\0\108\25\129\12\129\70\0\79\25\129\12\129\70\0\93\25\129\12\129\70\0",
	240, "\120\25\129\14\129\75\0\108\25\129\14\129\75\0\108\25\129\14\129\76\0\79\25\129\14\129\76\0\93\25\129\14\129\76\0",
	250, "\120\25\129\16\129\77\0\108\25\129\16\129\77\0\108\25\129\16\129\78\0\79\25\129\16\129\78\0\93\25\129\16\129\78\0",
	260, "\120\25\129\18\129\77\0\108\25\129\18\129\77\0\108\25\129\18\129\78\0\79\25\129\18\129\78\0\93\25\129\18\129\78\0",
	270, "\120\25\129\20\129\77\0\108\25\129\20\129\77\0\108\25\129\20\129\78\0\79\25\129\20\129\78\0\93\25\129\20\129\78\0",
	280, "\120\25\129\22\129\77\0\108\25\129\22\129\77\0\108\25\129\22\129\78\0\79\25\129\22\129\78\0\93\25\129\22\129\78\0",
	290, "\120\25\129\24\129\81\0\108\25\129\24\129\81\0\108\25\129\24\129\82\0\79\25\129\24\129\82\0\93\25\129\24\129\82\0",
	300, "\121\29\129\73\0\109\29\129\73\0\109\29\129\74\0\80\29\129\74\0\94\29\129\74\0",
	310, "\121\30\129\7\129\69\0\109\30\129\7\129\69\0\109\30\129\7\129\70\0\80\30\129\7\129\70\0\94\30\129\7\129\70\0",
	320, "\121\30\129\10\129\69\0\109\30\129\10\129\69\0\109\30\129\10\129\70\0\80\30\129\10\129\70\0\94\30\129\10\129\70\0",
	330, "\121\30\129\12\129\69\0\109\30\129\12\129\69\0\109\30\129\12\129\70\0\80\30\129\12\129\70\0\94\30\129\12\129\70\0",
	340, "\121\30\129\14\129\75\0\109\30\129\14\129\75\0\109\30\129\14\129\76\0\80\30\129\14\129\76\0\94\30\129\14\129\76\0",
	350, "\121\30\129\16\129\77\0\109\30\129\16\129\77\0\109\30\129\16\129\78\0\80\30\129\16\129\78\0\94\30\129\16\129\78\0",
	360, "\121\30\129\18\129\77\0\109\30\129\18\129\77\0\109\30\129\18\129\78\0\80\30\129\18\129\78\0\94\30\129\18\129\78\0",
	370, "\121\30\129\20\129\77\0\109\30\129\20\129\77\0\109\30\129\20\129\78\0\80\30\129\20\129\78\0\94\30\129\20\129\78\0",
	380, "\121\30\129\22\129\77\0\109\30\129\22\129\77\0\109\30\129\22\129\78\0\80\30\129\22\129\78\0\94\30\129\22\129\78\0",
	390, "\121\30\129\24\129\81\0\109\30\129\24\129\81\0\109\30\129\24\129\82\0\80\30\129\24\129\82\0\94\30\129\24\129\82\0",
	400, "\122\36\129\73\0\110\36\129\73\0\110\36\129\74\0\81\36\129\74\0\95\36\129\74\0",
	410, "\122\37\129\7\129\69\0\110\37\129\7\129\69\0\110\37\129\7\129\70\0\81\37\129\7\129\70\0\95\37\129\7\129\70\0",
	420, "\122\37\129\10\129\69\0\110\37\129\10\129\69\0\110\37\129\10\129\70\0\81\37\129\10\129\70\0\95\37\129\10\129\70\0",
	430, "\122\37\129\12\129\69\0\110\37\129\12\129\69\0\110\37\129\12\129\70\0\81\37\129\12\129\70\0\95\37\129\12\129\70\0",
	440, "\122\37\129\14\129\75\0\110\37\129\14\129\75\0\110\37\129\14\129\76\0\81\37\129\14\129\76\0\95\37\129\14\129\76\0",
	450, "\122\37\129\16\129\77\0\110\37\129\16\129\77\0\110\37\129\16\129\78\0\81\37\129\16\129\78\0\95\37\129\16\129\78\0",
	460, "\122\37\129\18\129\77\0\110\37\129\18\129\77\0\110\37\129\18\129\78\0\81\37\129\18\129\78\0\95\37\129\18\129\78\0",
	470, "\122\37\129\20\129\77\0\110\37\129\20\129\77\0\110\37\129\20\129\78\0\81\37\129\20\129\78\0\95\37\129\20\129\78\0",
	480, "\122\37\129\22\129\77\0\110\37\129\22\129\77\0\110\37\129\22\129\78\0\81\37\129\22\129\78\0\95\37\129\22\129\78\0",
	490, "\122\37\129\24\129\81\0\110\37\129\24\129\81\0\110\37\129\24\129\82\0\81\37\129\24\129\82\0\95\37\129\24\129\82\0",
	500, "\124\43\129\79\0\112\43\129\79\0\112\43\129\80\0\83\43\129\80\0\97\43\129\80\0",
	510, "\124\44\129\7\129\69\0\112\44\129\7\129\69\0\112\44\129\7\129\70\0\83\44\129\7\129\70\0\97\44\129\7\129\70\0",
	520, "\124\44\129\10\129\69\0\112\44\129\10\129\69\0\112\44\129\10\129\70\0\83\44\129\10\129\70\0\97\44\129\10\129\70\0",
	530, "\124\44\129\12\129\69\0\112\44\129\12\129\69\0\112\44\129\12\129\70\0\83\44\129\12\129\70\0\97\44\129\12\129\70\0",
	540, "\124\44\129\14\129\75\0\112\44\129\14\129\75\0\112\44\129\14\129\76\0\83\44\129\14\129\76\0\97\44\129\14\129\76\0",
	550, "\124\44\129\16\129\77\0\112\44\129\16\129\77\0\112\44\129\16\129\78\0\83\44\129\16\129\78\0\97\44\129\16\129\78\0",
	560, "\124\44\129\18\129\77\0\112\44\129\18\129\77\0\112\44\129\18\129\78\0\83\44\129\18\129\78\0\97\44\129\18\129\78\0",
	570, "\124\44\129\20\129\77\0\112\44\129\20\129\77\0\112\44\129\20\129\78\0\83\44\129\20\129\78\0\97\44\129\20\129\78\0",
	580, "\124\44\129\22\129\77\0\112\44\129\22\129\77\0\112\44\129\22\129\78\0\83\44\129\22\129\78\0\97\44\129\22\129\78\0",
	590, "\124\44\129\24\129\81\0\112\44\129\24\129\81\0\112\44\129\24\129\82\0\83\44\129\24\129\82\0\97\44\129\24\129\82\0",
	600, "\125\50\129\79\0\113\50\129\79\0\113\50\129\80\0\84\50\129\80\0\98\50\129\80\0",
	610, "\125\51\129\7\129\69\0\113\51\129\7\129\69\0\113\51\129\7\129\70\0\84\51\129\7\129\70\0\98\51\129\7\129\70\0",
	620, "\125\51\129\10\129\69\0\113\51\129\10\129\69\0\113\51\129\10\129\70\0\84\51\129\10\129\70\0\98\51\129\10\129\70\0",
	630, "\125\51\129\12\129\69\0\113\51\129\12\129\69\0\113\51\129\12\129\70\0\84\51\129\12\129\70\0\98\51\129\12\129\70\0",
	640, "\125\51\129\14\129\75\0\113\51\129\14\129\75\0\113\51\129\14\129\76\0\84\51\129\14\129\76\0\98\51\129\14\129\76\0",
	650, "\125\51\129\16\129\77\0\113\51\129\16\129\77\0\113\51\129\16\129\78\0\84\51\129\16\129\78\0\98\51\129\16\129\78\0",
	660, "\125\51\129\18\129\77\0\113\51\129\18\129\77\0\113\51\129\18\129\78\0\84\51\129\18\129\78\0\98\51\129\18\129\78\0",
	670, "\125\51\129\20\129\77\0\113\51\129\20\129\77\0\113\51\129\20\129\78\0\84\51\129\20\129\78\0\98\51\129\20\129\78\0",
	680, "\125\51\129\22\129\77\0\113\51\129\22\129\77\0\113\51\129\22\129\78\0\84\51\129\22\129\78\0\98\51\129\22\129\78\0",
	690, "\125\51\129\24\129\81\0\113\51\129\24\129\81\0\113\51\129\24\129\82\0\84\51\129\24\129\82\0\98\51\129\24\129\82\0",
	700, "\126\57\129\79\0\114\57\129\79\0\114\57\129\80\0\85\57\129\80\0\99\57\129\80\0",
	710, "\126\58\129\7\129\69\0\114\58\129\7\129\69\0\114\58\129\7\129\70\0\85\58\129\7\129\70\0\99\58\129\7\129\70\0",
	720, "\126\58\129\10\129\69\0\114\58\129\10\129\69\0\114\58\129\10\129\70\0\85\58\129\10\129\70\0\99\58\129\10\129\70\0",
	730, "\126\58\129\12\129\69\0\114\58\129\12\129\69\0\114\58\129\12\129\70\0\85\58\129\12\129\70\0\99\58\129\12\129\70\0",
	740, "\126\58\129\14\129\75\0\114\58\129\14\129\75\0\114\58\129\14\129\76\0\85\58\129\14\129\76\0\99\58\129\14\129\76\0",
	750, "\126\58\129\16\129\77\0\114\58\129\16\129\77\0\114\58\129\16\129\78\0\85\58\129\16\129\78\0\99\58\129\16\129\78\0",
	760, "\126\58\129\18\129\77\0\114\58\129\18\129\77\0\114\58\129\18\129\78\0\85\58\129\18\129\78\0\99\58\129\18\129\78\0",
	770, "\126\58\129\20\129\77\0\114\58\129\20\129\77\0\114\58\129\20\129\78\0\85\58\129\20\129\78\0\99\58\129\20\129\78\0",
	780, "\126\58\129\22\129\77\0\114\58\129\22\129\77\0\114\58\129\22\129\78\0\85\58\129\22\129\78\0\99\58\129\22\129\78\0",
	790, "\126\58\129\24\129\81\0\114\58\129\24\129\81\0\114\58\129\24\129\82\0\85\58\129\24\129\82\0\99\58\129\24\129\82\0",
	800, "\127\64\129\79\0\115\64\129\79\0\115\64\129\80\0\86\64\129\80\0\100\64\129\80\0",
	810, "\127\65\129\7\129\69\0\115\65\129\7\129\69\0\115\65\129\7\129\70\0\86\65\129\7\129\70\0\100\65\129\7\129\70\0",
	820, "\127\65\129\10\129\69\0\115\65\129\10\129\69\0\115\65\129\10\129\70\0\86\65\129\10\129\70\0\100\65\129\10\129\70\0",
	830, "\127\65\129\12\129\69\0\115\65\129\12\129\69\0\115\65\129\12\129\70\0\86\65\129\12\129\70\0\100\65\129\12\129\70\0",
	840, "\127\65\129\14\129\75\0\115\65\129\14\129\75\0\115\65\129\14\129\76\0\86\65\129\14\129\76\0\100\65\129\14\129\76\0",
	850, "\127\65\129\16\129\77\0\115\65\129\16\129\77\0\115\65\129\16\129\78\0\86\65\129\16\129\78\0\100\65\129\16\129\78\0",
	860, "\127\65\129\18\129\77\0\115\65\129\18\129\77\0\115\65\129\18\129\78\0\86\65\129\18\129\78\0\100\65\129\18\129\78\0",
	870, "\127\65\129\20\129\77\0\115\65\129\20\129\77\0\115\65\129\20\129\78\0\86\65\129\20\129\78\0\100\65\129\20\129\78\0",
	880, "\127\65\129\22\129\77\0\115\65\129\22\129\77\0\115\65\129\22\129\78\0\86\65\129\22\129\78\0\100\65\129\22\129\78\0",
	890, "\127\65\129\24\129\81\0\115\65\129\24\129\81\0\115\65\129\24\129\82\0\86\65\129\24\129\82\0\100\65\129\24\129\82\0",
	900, "\129\0\71\129\79\0\116\71\129\79\0\116\71\129\80\0\87\71\129\80\0\101\71\129\80\0",
	910, "\129\0\72\129\7\129\69\0\116\72\129\7\129\69\0\116\72\129\7\129\70\0\87\72\129\7\129\70\0\101\72\129\7\129\70\0",
	920, "\129\0\72\129\10\129\69\0\116\72\129\10\129\69\0\116\72\129\10\129\70\0\87\72\129\10\129\70\0\101\72\129\10\129\70\0",
	930, "\129\0\72\129\12\129\69\0\116\72\129\12\129\69\0\116\72\129\12\129\70\0\87\72\129\12\129\70\0\101\72\129\12\129\70\0",
	940, "\129\0\72\129\14\129\75\0\116\72\129\14\129\75\0\116\72\129\14\129\76\0\87\72\129\14\129\76\0\101\72\129\14\129\76\0",
	950, "\129\0\72\129\16\129\77\0\116\72\129\16\129\77\0\116\72\129\16\129\78\0\87\72\129\16\129\78\0\101\72\129\16\129\78\0",
	960, "\129\0\72\129\18\129\77\0\116\72\129\18\129\77\0\116\72\129\18\129\78\0\87\72\129\18\129\78\0\101\72\129\18\129\78\0",
	970, "\129\0\72\129\20\129\77\0\116\72\129\20\129\77\0\116\72\129\20\129\78\0\87\72\129\20\129\78\0\101\72\129\20\129\78\0",
	980, "\129\0\72\129\22\129\77\0\116\72\129\22\129\77\0\116\72\129\22\129\78\0\87\72\129\22\129\78\0\101\72\129\22\129\78\0",
	990, "\129\0\72\129\24\129\81\0\116\72\129\24\129\81\0\116\72\129\24\129\82\0\87\72\129\24\129\82\0\101\72\129\24\129\82\0",
	1000, "\117\2\129\39\0\105\2\129\39\0\105\2\129\40\0\76\2\129\40\0\90\2\129\40\0",
	1100, "\117\4\5\129\42\0\105\4\5\129\42\0\105\4\5\129\43\0\76\4\5\129\43\0\90\4\5\129\43\0",
	1200, "\117\4\22\129\41\0\105\4\22\129\41\0\105\4\22\129\50\0\76\4\22\129\50\0\90\4\22\129\50\0",
	1300, "\117\4\33\129\41\0\105\4\33\129\41\0\105\4\33\129\50\0\76\4\33\129\50\0\90\4\33\129\50\0",
	1400, "\117\4\40\129\41\0\105\4\40\129\41\0\105\4\40\129\50\0\76\4\40\129\50\0\90\4\40\129\50\0",
	1500, "\117\4\47\129\41\0\105\4\47\129\41\0\105\4\47\129\50\0\76\4\47\129\50\0\90\4\47\129\50\0",
	1600, "\117\4\54\129\41\0\105\4\54\129\41\0\105\4\54\129\50\0\76\4\54\129\50\0\90\4\54\129\50\0",
	1700, "\117\4\61\129\41\0\105\4\61\129\41\0\105\4\61\129\50\0\76\4\61\129\50\0\90\4\61\129\50\0",
	1800, "\117\4\68\129\41\0\105\4\68\129\41\0\105\4\68\129\50\0\76\4\68\129\50\0\90\4\68\129\50\0",
	1900, "\117\4\75\129\41\0\105\4\75\129\41\0\105\4\75\129\50\0\76\4\75\129\50\0\90\4\75\129\50\0",
	2000, "\120\19\129\44\0\108\19\129\44\0\108\19\129\45\0\79\19\129\45\0\93\19\129\45\0",
	2100, "\120\21\5\129\42\0\108\21\5\129\42\0\108\21\5\129\43\0\79\21\5\129\43\0\93\21\5\129\43\0",
	2200, "\120\21\22\129\41\0\108\21\22\129\41\0\108\21\22\129\50\0\79\21\22\129\50\0\93\21\22\129\50\0",
	2300, "\120\21\33\129\41\0\108\21\33\129\41\0\108\21\33\129\50\0\79\21\33\129\50\0\93\21\33\129\50\0",
	2400, "\120\21\40\129\41\0\108\21\40\129\41\0\108\21\40\129\50\0\79\21\40\129\50\0\93\21\40\129\50\0",
	2500, "\120\21\47\129\41\0\108\21\47\129\41\0\108\21\47\129\50\0\79\21\47\129\50\0\93\21\47\129\50\0",
	2600, "\120\21\54\129\41\0\108\21\54\129\41\0\108\21\54\129\50\0\79\21\54\129\50\0\93\21\54\129\50\0",
	2700, "\120\21\61\129\41\0\108\21\61\129\41\0\108\21\61\129\50\0\79\21\61\129\50\0\93\21\61\129\50\0",
	2800, "\120\21\68\129\41\0\108\21\68\129\41\0\108\21\68\129\50\0\79\21\68\129\50\0\93\21\68\129\50\0",
	2900, "\120\21\75\129\41\0\108\21\75\129\41\0\108\21\75\129\50\0\79\21\75\129\50\0\93\21\75\129\50\0",
	3000, "\121\27\129\46\0\109\27\129\46\0\109\27\129\47\0\80\27\129\47\0\94\27\129\47\0",
	3100, "\121\32\5\129\42\0\109\32\5\129\42\0\109\32\5\129\43\0\80\32\5\129\43\0\94\32\5\129\43\0",
	3200, "\121\32\22\129\41\0\109\32\22\129\41\0\109\32\22\129\50\0\80\32\22\129\50\0\94\32\22\129\50\0",
	3300, "\121\32\33\129\41\0\109\32\33\129\41\0\109\32\33\129\50\0\80\32\33\129\50\0\94\32\33\129\50\0",
	3400, "\121\32\40\129\41\0\109\32\40\129\41\0\109\32\40\129\50\0\80\32\40\129\50\0\94\32\40\129\50\0",
	3500, "\121\32\47\129\41\0\109\32\47\129\41\0\109\32\47\129\50\0\80\32\47\129\50\0\94\32\47\129\50\0",
	3600, "\121\32\54\129\41\0\109\32\54\129\41\0\109\32\54\129\50\0\80\32\54\129\50\0\94\32\54\129\50\0",
	3700, "\121\32\61\129\41\0\109\32\61\129\41\0\109\32\61\129\50\0\80\32\61\129\50\0\94\32\61\129\50\0",
	3800, "\121\32\68\129\41\0\109\32\68\129\41\0\109\32\68\129\50\0\80\32\68\129\50\0\94\32\68\129\50\0",
	3900, "\121\32\75\129\41\0\109\32\75\129\41\0\109\32\75\129\50\0\80\32\75\129\50\0\94\32\75\129\50\0",
	4000, "\122\34\129\48\0\110\34\129\48\0\110\34\129\49\0\81\34\129\49\0\95\34\129\49\0",
	4100, "\122\39\5\129\42\0\110\39\5\129\42\0\110\39\5\129\43\0\81\39\5\129\43\0\95\39\5\129\43\0",
	4200, "\122\39\22\129\41\0\110\39\22\129\41\0\110\39\22\129\50\0\81\39\22\129\50\0\95\39\22\129\50\0",
	4300, "\122\39\33\129\41\0\110\39\33\129\41\0\110\39\33\129\50\0\81\39\33\129\50\0\95\39\33\129\50\0",
	4400, "\122\39\40\129\41\0\110\39\40\129\41\0\110\39\40\129\50\0\81\39\40\129\50\0\95\39\40\129\50\0",
	4500, "\122\39\47\129\41\0\110\39\47\129\41\0\110\39\47\129\50\0\81\39\47\129\50\0\95\39\47\129\50\0",
	4600, "\122\39\54\129\41\0\110\39\54\129\41\0\110\39\54\129\50\0\81\39\54\129\50\0\95\39\54\129\50\0",
	4700, "\122\39\61\129\41\0\110\39\61\129\41\0\110\39\61\129\50\0\81\39\61\129\50\0\95\39\61\129\50\0",
	4800, "\122\39\68\129\41\0\110\39\68\129\41\0\110\39\68\129\50\0\81\39\68\129\50\0\95\39\68\129\50\0",
	4900, "\122\39\75\129\41\0\110\39\75\129\41\0\110\39\75\129\50\0\81\39\75\129\50\0\95\39\75\129\50\0",
	5000, "\124\41\129\63\0\112\41\129\63\0\112\41\129\64\0\83\41\129\64\0\97\41\129\64\0",
	5100, "\124\46\5\129\42\0\112\46\5\129\42\0\112\46\5\129\43\0\83\46\5\129\43\0\97\46\5\129\43\0",
	5200, "\124\46\22\129\41\0\112\46\22\129\41\0\112\46\22\129\50\0\83\46\22\129\50\0\97\46\22\129\50\0",
	5300, "\124\46\33\129\41\0\112\46\33\129\41\0\112\46\33\129\50\0\83\46\33\129\50\0\97\46\33\129\50\0",
	5400, "\124\46\40\129\41\0\112\46\40\129\41\0\112\46\40\129\50\0\83\46\40\129\50\0\97\46\40\129\50\0",
	5500, "\124\46\47\129\41\0\112\46\47\129\41\0\112\46\47\129\50\0\83\46\47\129\50\0\97\46\47\129\50\0",
	5600, "\124\46\54\129\41\0\112\46\54\129\41\0\112\46\54\129\50\0\83\46\54\129\50\0\97\46\54\129\50\0",
	5700, "\124\46\61\129\41\0\112\46\61\129\41\0\112\46\61\129\50\0\83\46\61\129\50\0\97\46\61\129\50\0",
	5800, "\124\46\68\129\41\0\112\46\68\129\41\0\112\46\68\129\50\0\83\46\68\129\50\0\97\46\68\129\50\0",
	5900, "\124\46\75\129\41\0\112\46\75\129\41\0\112\46\75\129\50\0\83\46\75\129\50\0\97\46\75\129\50\0",
	6000, "\125\48\129\63\0\113\48\129\63\0\113\48\129\64\0\84\48\129\64\0\98\48\129\64\0",
	6100, "\125\53\5\129\42\0\113\53\5\129\42\0\113\53\5\129\43\0\84\53\5\129\43\0\98\53\5\129\43\0",
	6200, "\125\53\22\129\41\0\113\53\22\129\41\0\113\53\22\129\50\0\84\53\22\129\50\0\98\53\22\129\50\0",
	6300, "\125\53\33\129\41\0\113\53\33\129\41\0\113\53\33\129\50\0\84\53\33\129\50\0\98\53\33\129\50\0",
	6400, "\125\53\40\129\41\0\113\53\40\129\41\0\113\53\40\129\50\0\84\53\40\129\50\0\98\53\40\129\50\0",
	6500, "\125\53\47\129\41\0\113\53\47\129\41\0\113\53\47\129\50\0\84\53\47\129\50\0\98\53\47\129\50\0",
	6600, "\125\53\54\129\41\0\113\53\54\129\41\0\113\53\54\129\50\0\84\53\54\129\50\0\98\53\54\129\50\0",
	6700, "\125\53\61\129\41\0\113\53\61\129\41\0\113\53\61\129\50\0\84\53\61\129\50\0\98\53\61\129\50\0",
	6800, "\125\53\68\129\41\0\113\53\68\129\41\0\113\53\68\129\50\0\84\53\68\129\50\0\98\53\68\129\50\0",
	6900, "\125\53\75\129\41\0\113\53\75\129\41\0\113\53\75\129\50\0\84\53\75\129\50\0\98\53\75\129\50\0",
	7000, "\126\55\129\65\0\114\55\129\65\0\114\55\129\66\0\85\55\129\66\0\99\55\129\66\0",
	7100, "\126\60\5\129\42\0\114\60\5\129\42\0\114\60\5\129\43\0\85\60\5\129\43\0\99\60\5\129\43\0",
	7200, "\126\60\22\129\41\0\114\60\22\129\41\0\114\60\22\129\50\0\85\60\22\129\50\0\99\60\22\129\50\0",
	7300, "\126\60\33\129\41\0\114\60\33\129\41\0\114\60\33\129\50\0\85\60\33\129\50\0\99\60\33\129\50\0",
	7400, "\126\60\40\129\41\0\114\60\40\129\41\0\114\60\40\129\50\0\85\60\40\129\50\0\99\60\40\129\50\0",
	7500, "\126\60\47\129\41\0\114\60\47\129\41\0\114\60\47\129\50\0\85\60\47\129\50\0\99\60\47\129\50\0",
	7600, "\126\60\54\129\41\0\114\60\54\129\41\0\114\60\54\129\50\0\85\60\54\129\50\0\99\60\54\129\50\0",
	7700, "\126\60\61\129\41\0\114\60\61\129\41\0\114\60\61\129\50\0\85\60\61\129\50\0\99\60\61\129\50\0",
	7800, "\126\60\68\129\41\0\114\60\68\129\41\0\114\60\68\129\50\0\85\60\68\129\50\0\99\60\68\129\50\0",
	7900, "\126\60\75\129\41\0\114\60\75\129\41\0\114\60\75\129\50\0\85\60\75\129\50\0\99\60\75\129\50\0",
	8000, "\127\62\129\65\0\115\62\129\65\0\115\62\129\66\0\86\62\129\66\0\100\62\129\66\0",
	8100, "\127\67\5\129\42\0\115\67\5\129\42\0\115\67\5\129\43\0\86\67\5\129\43\0\100\67\5\129\43\0",
	8200, "\127\67\22\129\41\0\115\67\22\129\41\0\115\67\22\129\50\0\86\67\22\129\50\0\100\67\22\129\50\0",
	8300, "\127\67\33\129\41\0\115\67\33\129\41\0\115\67\33\129\50\0\86\67\33\129\50\0\100\67\33\129\50\0",
	8400, "\127\67\40\129\41\0\115\67\40\129\41\0\115\67\40\129\50\0\86\67\40\129\50\0\100\67\40\129\50\0",
	8500, "\127\67\47\129\41\0\115\67\47\129\41\0\115\67\47\129\50\0\86\67\47\129\50\0\100\67\47\129\50\0",
	8600, "\127\67\54\129\41\0\115\67\54\129\41\0\115\67\54\129\50\0\86\67\54\129\50\0\100\67\54\129\50\0",
	8700, "\127\67\61\129\41\0\115\67\61\129\41\0\115\67\61\129\50\0\86\67\61\129\50\0\100\67\61\129\50\0",
	8800, "\127\67\68\129\41\0\115\67\68\129\41\0\115\67\68\129\50\0\86\67\68\129\50\0\100\67\68\129\50\0",
	8900, "\127\67\75\129\41\0\115\67\75\129\41\0\115\67\75\129\50\0\86\67\75\129\50\0\100\67\75\129\50\0",
	9000, "\129\0\69\129\63\0\116\69\129\63\0\116\69\129\64\0\87\69\129\64\0\101\69\129\64\0",
	9100, "\129\0\74\5\129\42\0\116\74\5\129\42\0\116\74\5\129\43\0\87\74\5\129\43\0\101\74\5\129\43\0",
	9200, "\129\0\74\22\129\41\0\116\74\22\129\41\0\116\74\22\129\50\0\87\74\22\129\50\0\101\74\22\129\50\0",
	9300, "\129\0\74\33\129\41\0\116\74\33\129\41\0\116\74\33\129\50\0\87\74\33\129\50\0\101\74\33\129\50\0",
	9400, "\129\0\74\40\129\41\0\116\74\40\129\41\0\116\74\40\129\50\0\87\74\40\129\50\0\101\74\40\129\50\0",
	9500, "\129\0\74\47\129\41\0\116\74\47\129\41\0\116\74\47\129\50\0\87\74\47\129\50\0\101\74\47\129\50\0",
	9600, "\129\0\74\54\129\41\0\116\74\54\129\41\0\116\74\54\129\50\0\87\74\54\129\50\0\101\74\54\129\50\0",
	9700, "\129\0\74\61\129\41\0\116\74\61\129\41\0\116\74\61\129\50\0\87\74\61\129\50\0\101\74\61\129\50\0",
	9800, "\129\0\74\68\129\41\0\116\74\68\129\41\0\116\74\68\129\50\0\87\74\68\129\50\0\101\74\68\129\50\0",
	9900, "\129\0\74\75\129\41\0\116\74\75\129\41\0\116\74\75\129\50\0\87\74\75\129\50\0\101\74\75\129\50\0",
	10000, "\118\6\129\63\0\106\6\129\63\0\106\6\129\64\0\77\6\129\64\0\91\6\129\64\0",
	11000, "\117\10\129\51\0\105\10\129\51\0\105\10\129\52\0\76\10\129\52\0\90\10\129\52\0",
	12000, "\120\11\129\51\0\108\11\129\51\0\108\11\129\52\0\79\11\129\52\0\93\11\129\52\0",
	13000, "\121\12\129\51\0\109\12\129\51\0\109\12\129\52\0\80\12\129\52\0\94\12\129\52\0",
	14000, "\122\13\129\51\0\110\13\129\51\0\110\13\129\52\0\81\13\129\52\0\95\13\129\52\0",
	15000, "\124\14\129\51\0\112\14\129\51\0\112\14\129\52\0\83\14\129\52\0\97\14\129\52\0",
	16000, "\125\15\129\51\0\113\15\129\51\0\113\15\129\52\0\84\15\129\52\0\98\15\129\52\0",
	17000, "\126\16\129\51\0\114\16\129\51\0\114\16\129\52\0\85\16\129\52\0\99\16\129\52\0",
	18000, "\127\17\129\51\0\115\17\129\51\0\115\17\129\52\0\86\17\129\52\0\100\17\129\52\0",
	19000, "\129\0\18\129\51\0\116\18\129\51\0\116\18\129\52\0\87\18\129\52\0\101\18\129\52\0",
	20000, "\120\23\129\51\0\108\23\129\51\0\108\23\129\52\0\79\23\129\52\0\93\23\129\52\0",
	21000, "\120\26\129\5\129\39\0\108\26\129\5\129\39\0\108\26\129\5\129\40\0\79\26\129\5\129\40\0\93\26\129\5\129\40\0",
	22000, "\120\26\129\8\129\44\0\108\26\129\8\129\44\0\108\26\129\8\129\45\0\79\26\129\8\129\45\0\93\26\129\8\129\45\0",
	23000, "\120\26\129\11\129\46\0\108\26\129\11\129\46\0\108\26\129\11\129\47\0\79\26\129\11\129\47\0\93\26\129\11\129\47\0",
	24000, "\120\26\129\13\129\48\0\108\26\129\13\129\48\0\108\26\129\13\129\49\0\79\26\129\13\129\49\0\93\26\129\13\129\49\0",
	25000, "\120\26\129\15\129\63\0\108\26\129\15\129\63\0\108\26\129\15\129\64\0\79\26\129\15\129\64\0\93\26\129\15\129\64\0",
	26000, "\120\26\129\17\129\63\0\108\26\129\17\129\63\0\108\26\129\17\129\64\0\79\26\129\17\129\64\0\93\26\129\17\129\64\0",
	27000, "\120\26\129\19\129\65\0\108\26\129\19\129\65\0\108\26\129\19\129\66\0\79\26\129\19\129\66\0\93\26\129\19\129\66\0",
	28000, "\120\26\129\21\129\65\0\108\26\129\21\129\65\0\108\26\129\21\129\66\0\79\26\129\21\129\66\0\93\26\129\21\129\66\0",
	29000, "\120\26\129\23\129\63\0\108\26\129\23\129\63\0\108\26\129\23\129\64\0\79\26\129\23\129\64\0\93\26\129\23\129\64\0",
	30000, "\121\28\129\51\0\109\28\129\51\0\109\28\129\52\0\80\28\129\52\0\94\28\129\52\0",
	31000, "\121\31\129\5\129\39\0\109\31\129\5\129\39\0\109\31\129\5\129\40\0\80\31\129\5\129\40\0\94\31\129\5\129\40\0",
	32000, "\121\31\129\8\129\44\0\109\31\129\8\129\44\0\109\31\129\8\129\45\0\80\31\129\8\129\45\0\94\31\129\8\129\45\0",
	33000, "\121\31\129\11\129\46\0\109\31\129\11\129\46\0\109\31\129\11\129\47\0\80\31\129\11\129\47\0\94\31\129\11\129\47\0",
	34000, "\121\31\129\13\129\48\0\109\31\129\13\129\48\0\109\31\129\13\129\49\0\80\31\129\13\129\49\0\94\31\129\13\129\49\0",
	35000, "\121\31\129\15\129\63\0\109\31\129\15\129\63\0\109\31\129\15\129\64\0\80\31\129\15\129\64\0\94\31\129\15\129\64\0",
	36000, "\121\31\129\17\129\63\0\109\31\129\17\129\63\0\109\31\129\17\129\64\0\80\31\129\17\129\64\0\94\31\129\17\129\64\0",
	37000, "\121\31\129\19\129\65\0\109\31\129\19\129\65\0\109\31\129\19\129\66\0\80\31\129\19\129\66\0\94\31\129\19\129\66\0",
	38000, "\121\31\129\21\129\65\0\109\31\129\21\129\65\0\109\31\129\21\129\66\0\80\31\129\21\129\66\0\94\31\129\21\129\66\0",
	39000, "\121\31\129\23\129\63\0\109\31\129\23\129\63\0\109\31\129\23\129\64\0\80\31\129\23\129\64\0\94\31\129\23\129\64\0",
	40000, "\123\35\129\57\0\111\35\129\57\0\111\35\129\58\0\82\35\129\58\0\96\35\129\58\0",
	41000, "\123\38\129\5\129\39\0\111\38\129\5\129\39\0\111\38\129\5\129\40\0\82\38\129\5\129\40\0\96\38\129\5\129\40\0",
	42000, "\123\38\129\8\129\44\0\111\38\129\8\129\44\0\111\38\129\8\129\45\0\82\38\129\8\129\45\0\96\38\129\8\129\45\0",
	43000, "\123\38\129\11\129\46\0\111\38\129\11\129\46\0\111\38\129\11\129\47\0\82\38\129\11\129\47\0\96\38\129\11\129\47\0",
	44000, "\123\38\129\13\129\48\0\111\38\129\13\129\48\0\111\38\129\13\129\49\0\82\38\129\13\129\49\0\96\38\129\13\129\49\0",
	45000, "\123\38\129\15\129\63\0\111\38\129\15\129\63\0\111\38\129\15\129\64\0\82\38\129\15\129\64\0\96\38\129\15\129\64\0",
	46000, "\123\38\129\17\129\63\0\111\38\129\17\129\63\0\111\38\129\17\129\64\0\82\38\129\17\129\64\0\96\38\129\17\129\64\0",
	47000, "\123\38\129\19\129\65\0\111\38\129\19\129\65\0\111\38\129\19\129\66\0\82\38\129\19\129\66\0\96\38\129\19\129\66\0",
	48000, "\123\38\129\21\129\65\0\111\38\129\21\129\65\0\111\38\129\21\129\66\0\82\38\129\21\129\66\0\96\38\129\21\129\66\0",
	49000, "\123\38\129\23\129\63\0\111\38\129\23\129\63\0\111\38\129\23\129\64\0\82\38\129\23\129\64\0\96\38\129\23\129\64\0",
	50000, "\124\42\129\61\0\112\42\129\61\0\112\42\129\62\0\83\42\129\62\0\97\42\129\62\0",
	51000, "\124\45\129\5\129\39\0\112\45\129\5\129\39\0\112\45\129\5\129\40\0\83\45\129\5\129\40\0\97\45\129\5\129\40\0",
	52000, "\124\45\129\8\129\44\0\112\45\129\8\129\44\0\112\45\129\8\129\45\0\83\45\129\8\129\45\0\97\45\129\8\129\45\0",
	53000, "\124\45\129\11\129\46\0\112\45\129\11\129\46\0\112\45\129\11\129\47\0\83\45\129\11\129\47\0\97\45\129\11\129\47\0",
	54000, "\124\45\129\13\129\48\0\112\45\129\13\129\48\0\112\45\129\13\129\49\0\83\45\129\13\129\49\0\97\45\129\13\129\49\0",
	55000, "\124\45\129\15\129\63\0\112\45\129\15\129\63\0\112\45\129\15\129\64\0\83\45\129\15\129\64\0\97\45\129\15\129\64\0",
	56000, "\124\45\129\17\129\63\0\112\45\129\17\129\63\0\112\45\129\17\129\64\0\83\45\129\17\129\64\0\97\45\129\17\129\64\0",
	57000, "\124\45\129\19\129\65\0\112\45\129\19\129\65\0\112\45\129\19\129\66\0\83\45\129\19\129\66\0\97\45\129\19\129\66\0",
	58000, "\124\45\129\21\129\65\0\112\45\129\21\129\65\0\112\45\129\21\129\66\0\83\45\129\21\129\66\0\97\45\129\21\129\66\0",
	59000, "\124\45\129\23\129\63\0\112\45\129\23\129\63\0\112\45\129\23\129\64\0\83\45\129\23\129\64\0\97\45\129\23\129\64\0",
	60000, "\125\49\129\61\0\113\49\129\61\0\113\49\129\62\0\84\49\129\62\0\98\49\129\62\0",
	61000, "\125\52\129\5\129\39\0\113\52\129\5\129\39\0\113\52\129\5\129\40\0\84\52\129\5\129\40\0\98\52\129\5\129\40\0",
	62000, "\125\52\129\8\129\44\0\113\52\129\8\129\44\0\113\52\129\8\129\45\0\84\52\129\8\129\45\0\98\52\129\8\129\45\0",
	63000, "\125\52\129\11\129\46\0\113\52\129\11\129\46\0\113\52\129\11\129\47\0\84\52\129\11\129\47\0\98\52\129\11\129\47\0",
	64000, "\125\52\129\13\129\48\0\113\52\129\13\129\48\0\113\52\129\13\129\49\0\84\52\129\13\129\49\0\98\52\129\13\129\49\0",
	65000, "\125\52\129\15\129\63\0\113\52\129\15\129\63\0\113\52\129\15\129\64\0\84\52\129\15\129\64\0\98\52\129\15\129\64\0",
	66000, "\125\52\129\17\129\63\0\113\52\129\17\129\63\0\113\52\129\17\129\64\0\84\52\129\17\129\64\0\98\52\129\17\129\64\0",
	67000, "\125\52\129\19\129\65\0\113\52\129\19\129\65\0\113\52\129\19\129\66\0\84\52\129\19\129\66\0\98\52\129\19\129\66\0",
	68000, "\125\52\129\21\129\65\0\113\52\129\21\129\65\0\113\52\129\21\129\66\0\84\52\129\21\129\66\0\98\52\129\21\129\66\0",
	69000, "\125\52\129\23\129\63\0\113\52\129\23\129\63\0\113\52\129\23\129\64\0\84\52\129\23\129\64\0\98\52\129\23\129\64\0",
	70000, "\126\56\129\61\0\114\56\129\61\0\114\56\129\62\0\85\56\129\62\0\99\56\129\62\0",
	71000, "\126\59\129\5\129\39\0\114\59\129\5\129\39\0\114\59\129\5\129\40\0\85\59\129\5\129\40\0\99\59\129\5\129\40\0",
	72000, "\126\59\129\8\129\44\0\114\59\129\8\129\44\0\114\59\129\8\129\45\0\85\59\129\8\129\45\0\99\59\129\8\129\45\0",
	73000, "\126\59\129\11\129\46\0\114\59\129\11\129\46\0\114\59\129\11\129\47\0\85\59\129\11\129\47\0\99\59\129\11\129\47\0",
	74000, "\126\59\129\13\129\48\0\114\59\129\13\129\48\0\114\59\129\13\129\49\0\85\59\129\13\129\49\0\99\59\129\13\129\49\0",
	75000, "\126\59\129\15\129\63\0\114\59\129\15\129\63\0\114\59\129\15\129\64\0\85\59\129\15\129\64\0\99\59\129\15\129\64\0",
	76000, "\126\59\129\17\129\63\0\114\59\129\17\129\63\0\114\59\129\17\129\64\0\85\59\129\17\129\64\0\99\59\129\17\129\64\0",
	77000, "\126\59\129\19\129\65\0\114\59\129\19\129\65\0\114\59\129\19\129\66\0\85\59\129\19\129\66\0\99\59\129\19\129\66\0",
	78000, "\126\59\129\21\129\65\0\114\59\129\21\129\65\0\114\59\129\21\129\66\0\85\59\129\21\129\66\0\99\59\129\21\129\66\0",
	79000, "\126\59\129\23\129\63\0\114\59\129\23\129\63\0\114\59\129\23\129\64\0\85\59\129\23\129\64\0\99\59\129\23\129\64\0",
	80000, "\127\63\129\61\0\115\63\129\61\0\115\63\129\62\0\86\63\129\62\0\100\63\129\62\0",
	81000, "\127\66\129\5\129\39\0\115\66\129\5\129\39\0\115\66\129\5\129\40\0\86\66\129\5\129\40\0\100\66\129\5\129\40\0",
	82000, "\127\66\129\8\129\44\0\115\66\129\8\129\44\0\115\66\129\8\129\45\0\86\66\129\8\129\45\0\100\66\129\8\129\45\0",
	83000, "\127\66\129\11\129\46\0\115\66\129\11\129\46\0\115\66\129\11\129\47\0\86\66\129\11\129\47\0\100\66\129\11\129\47\0",
	84000, "\127\66\129\13\129\48\0\115\66\129\13\129\48\0\115\66\129\13\129\49\0\86\66\129\13\129\49\0\100\66\129\13\129\49\0",
	85000, "\127\66\129\15\129\63\0\115\66\129\15\129\63\0\115\66\129\15\129\64\0\86\66\129\15\129\64\0\100\66\129\15\129\64\0",
	86000, "\127\66\129\17\129\63\0\115\66\129\17\129\63\0\115\66\129\17\129\64\0\86\66\129\17\129\64\0\100\66\129\17\129\64\0",
	87000, "\127\66\129\19\129\65\0\115\66\129\19\129\65\0\115\66\129\19\129\66\0\86\66\129\19\129\66\0\100\66\129\19\129\66\0",
	88000, "\127\66\129\21\129\65\0\115\66\129\21\129\65\0\115\66\129\21\129\66\0\86\66\129\21\129\66\0\100\66\129\21\129\66\0",
	89000, "\127\66\129\23\129\63\0\115\66\129\23\129\63\0\115\66\129\23\129\64\0\86\66\129\23\129\64\0\100\66\129\23\129\64\0",
	90000, "\129\0\70\129\67\0\116\70\129\67\0\116\70\129\68\0\87\70\129\68\0\101\70\129\68\0",
	91000, "\129\0\73\129\5\129\39\0\116\73\129\5\129\39\0\116\73\129\5\129\40\0\87\73\129\5\129\40\0\101\73\129\5\129\40\0",
	92000, "\129\0\73\129\8\129\44\0\116\73\129\8\129\44\0\116\73\129\8\129\45\0\87\73\129\8\129\45\0\101\73\129\8\129\45\0",
	93000, "\129\0\73\129\11\129\46\0\116\73\129\11\129\46\0\116\73\129\11\129\47\0\87\73\129\11\129\47\0\101\73\129\11\129\47\0",
	94000, "\129\0\73\129\13\129\48\0\116\73\129\13\129\48\0\116\73\129\13\129\49\0\87\73\129\13\129\49\0\101\73\129\13\129\49\0",
	95000, "\129\0\73\129\15\129\63\0\116\73\129\15\129\63\0\116\73\129\15\129\64\0\87\73\129\15\129\64\0\101\73\129\15\129\64\0",
	96000, "\129\0\73\129\17\129\63\0\116\73\129\17\129\63\0\116\73\129\17\129\64\0\87\73\129\17\129\64\0\101\73\129\17\129\64\0",
	97000, "\129\0\73\129\19\129\65\0\116\73\129\19\129\65\0\116\73\129\19\129\66\0\87\73\129\19\129\66\0\101\73\129\19\129\66\0",
	98000, "\129\0\73\129\21\129\65\0\116\73\129\21\129\65\0\116\73\129\21\129\66\0\87\73\129\21\129\66\0\101\73\129\21\129\66\0",
	99000, "\129\0\73\129\23\129\63\0\116\73\129\23\129\63\0\116\73\129\23\129\64\0\87\73\129\23\129\64\0\101\73\129\23\129\64\0",
	100000, "\119\7\129\67\0\107\7\129\67\0\107\7\129\68\0\78\7\129\68\0\92\7\129\68\0",
	110000, "\119\9\129\7\129\63\0\107\9\129\7\129\63\0\107\9\129\7\129\64\0\78\9\129\7\129\64\0\92\9\129\7\129\64\0",
	120000, "\119\9\129\10\129\51\0\107\9\129\10\129\51\0\107\9\129\10\129\52\0\78\9\129\10\129\52\0\92\9\129\10\129\52\0",
	130000, "\119\9\129\12\129\51\0\107\9\129\12\129\51\0\107\9\129\12\129\52\0\78\9\129\12\129\52\0\92\9\129\12\129\52\0",
	140000, "\119\9\129\14\129\57\0\107\9\129\14\129\57\0\107\9\129\14\129\58\0\78\9\129\14\129\58\0\92\9\129\14\129\58\0",
	150000, "\119\9\129\16\129\61\0\107\9\129\16\129\61\0\107\9\129\16\129\62\0\78\9\129\16\129\62\0\92\9\129\16\129\62\0",
	160000, "\119\9\129\18\129\61\0\107\9\129\18\129\61\0\107\9\129\18\129\62\0\78\9\129\18\129\62\0\92\9\129\18\129\62\0",
	170000, "\119\9\129\20\129\61\0\107\9\129\20\129\61\0\107\9\129\20\129\62\0\78\9\129\20\129\62\0\92\9\129\20\129\62\0",
	180000, "\119\9\129\22\129\61\0\107\9\129\22\129\61\0\107\9\129\22\129\62\0\78\9\129\22\129\62\0\92\9\129\22\129\62\0",
	190000, "\119\9\129\24\129\67\0\107\9\129\24\129\67\0\107\9\129\24\129\68\0\78\9\129\24\129\68\0\92\9\129\24\129\68\0",
	200000, "\120\24\129\53\0\108\24\129\53\0\108\24\129\54\0\79\24\129\54\0\93\24\129\54\0",
	210000, "\120\25\129\7\129\63\0\108\25\129\7\129\63\0\108\25\129\7\129\64\0\79\25\129\7\129\64\0\93\25\129\7\129\64\0",
	220000, "\120\25\129\10\129\51\0\108\25\129\10\129\51\0\108\25\129\10\129\52\0\79\25\129\10\129\52\0\93\25\129\10\129\52\0",
	230000, "\120\25\129\12\129\51\0\108\25\129\12\129\51\0\108\25\129\12\129\52\0\79\25\129\12\129\52\0\93\25\129\12\129\52\0",
	240000, "\120\25\129\14\129\57\0\108\25\129\14\129\57\0\108\25\129\14\129\58\0\79\25\129\14\129\58\0\93\25\129\14\129\58\0",
	250000, "\120\25\129\16\129\61\0\108\25\129\16\129\61\0\108\25\129\16\129\62\0\79\25\129\16\129\62\0\93\25\129\16\129\62\0",
	260000, "\120\25\129\18\129\61\0\108\25\129\18\129\61\0\108\25\129\18\129\62\0\79\25\129\18\129\62\0\93\25\129\18\129\62\0",
	270000, "\120\25\129\20\129\61\0\108\25\129\20\129\61\0\108\25\129\20\129\62\0\79\25\129\20\129\62\0\93\25\129\20\129\62\0",
	280000, "\120\25\129\22\129\61\0\108\25\129\22\129\61\0\108\25\129\22\129\62\0\79\25\129\22\129\62\0\93\25\129\22\129\62\0",
	290000, "\120\25\129\24\129\67\0\108\25\129\24\129\67\0\108\25\129\24\129\68\0\79\25\129\24\129\68\0\93\25\129\24\129\68\0",
	300000, "\121\29\129\55\0\109\29\129\55\0\109\29\129\56\0\80\29\129\56\0\94\29\129\56\0",
	310000, "\121\30\129\7\129\63\0\109\30\129\7\129\63\0\109\30\129\7\129\64\0\80\30\129\7\129\64\0\94\30\129\7\129\64\0",
	320000, "\121\30\129\10\129\51\0\109\30\129\10\129\51\0\109\30\129\10\129\52\0\80\30\129\10\129\52\0\94\30\129\10\129\52\0",
	330000, "\121\30\129\12\129\51\0\109\30\129\12\129\51\0\109\30\129\12\129\52\0\80\30\129\12\129\52\0\94\30\129\12\129\52\0",
	340000, "\121\30\129\14\129\57\0\109\30\129\14\129\57\0\109\30\129\14\129\58\0\80\30\129\14\129\58\0\94\30\129\14\129\58\0",
	350000, "\121\30\129\16\129\61\0\109\30\129\16\129\61\0\109\30\129\16\129\62\0\80\30\129\16\129\62\0\94\30\129\16\129\62\0",
	360000, "\121\30\129\18\129\61\0\109\30\129\18\129\61\0\109\30\129\18\129\62\0\80\30\129\18\129\62\0\94\30\129\18\129\62\0",
	370000, "\121\30\129\20\129\61\0\109\30\129\20\129\61\0\109\30\129\20\129\62\0\80\30\129\20\129\62\0\94\30\129\20\129\62\0",
	380000, "\121\30\129\22\129\61\0\109\30\129\22\129\61\0\109\30\129\22\129\62\0\80\30\129\22\129\62\0\94\30\129\22\129\62\0",
	390000, "\121\30\129\24\129\67\0\109\30\129\24\129\67\0\109\30\129\24\129\68\0\80\30\129\24\129\68\0\94\30\129\24\129\68\0",
	400000, "\122\36\129\55\0\110\36\129\55\0\110\36\129\56\0\81\36\129\56\0\95\36\129\56\0",
	410000, "\122\37\129\7\129\63\0\110\37\129\7\129\63\0\110\37\129\7\129\64\0\81\37\129\7\129\64\0\95\37\129\7\129\64\0",
	420000, "\122\37\129\10\129\51\0\110\37\129\10\129\51\0\110\37\129\10\129\52\0\81\37\129\10\129\52\0\95\37\129\10\129\52\0",
	430000, "\122\37\129\12\129\51\0\110\37\129\12\129\51\0\110\37\129\12\129\52\0\81\37\129\12\129\52\0\95\37\129\12\129\52\0",
	440000, "\122\37\129\14\129\57\0\110\37\129\14\129\57\0\110\37\129\14\129\58\0\81\37\129\14\129\58\0\95\37\129\14\129\58\0",
	450000, "\122\37\129\16\129\61\0\110\37\129\16\129\61\0\110\37\129\16\129\62\0\81\37\129\16\129\62\0\95\37\129\16\129\62\0",
	460000, "\122\37\129\18\129\61\0\110\37\129\18\129\61\0\110\37\129\18\129\62\0\81\37\129\18\129\62\0\95\37\129\18\129\62\0",
	470000, "\122\37\129\20\129\61\0\110\37\129\20\129\61\0\110\37\129\20\129\62\0\81\37\129\20\129\62\0\95\37\129\20\129\62\0",
	480000, "\122\37\129\22\129\61\0\110\37\129\22\129\61\0\110\37\129\22\129\62\0\81\37\129\22\129\62\0\95\37\129\22\129\62\0",
	490000, "\122\37\129\24\129\67\0\110\37\129\24\129\67\0\110\37\129\24\129\68\0\81\37\129\24\129\68\0\95\37\129\24\129\68\0",
	500000, "\124\43\129\59\0\112\43\129\59\0\112\43\129\60\0\83\43\129\60\0\97\43\129\60\0",
	510000, "\129\1\129\113\43\129\59\0\129\3\129\113\43\129\59\0\129\3\129\113\43\129\60\0\88\129\113\43\129\60\0\97\43\129\60\0",
}

distances.feet = {
	15, "\124\42\129\33\0\112\42\129\33\0\112\42\129\34\0\83\42\129\34\0\97\42\129\34\0",
	30, "\119\7\129\27\0\107\7\129\27\0\107\7\129\28\0\78\7\129\28\0\92\7\129\28\0",
	46, "\119\9\129\16\129\33\0\107\9\129\16\129\33\0\107\9\129\16\129\34\0\78\9\129\16\129\34\0\92\9\129\16\129\34\0",
	61, "\120\24\129\29\0\108\24\129\29\0\108\24\129\30\0\79\24\129\30\0\93\24\129\30\0",
	91, "\121\29\129\31\0\109\29\129\31\0\109\29\129\32\0\80\29\129\32\0\94\29\129\32\0",
	122, "\122\36\129\31\0\110\36\129\31\0\110\36\129\32\0\81\36\129\32\0\95\36\129\32\0",
	152, "\124\43\129\35\0\112\43\129\35\0\112\43\129\36\0\83\43\129\36\0\97\43\129\36\0",
	183, "\125\50\129\35\0\113\50\129\35\0\113\50\129\36\0\84\50\129\36\0\98\50\129\36\0",
	213, "\126\57\129\35\0\114\57\129\35\0\114\57\129\36\0\85\57\129\36\0\99\57\129\36\0",
	244, "\127\64\129\35\0\115\64\129\35\0\115\64\129\36\0\86\64\129\36\0\100\64\129\36\0",
	274, "\129\0\71\129\35\0\116\71\129\35\0\116\71\129\36\0\87\71\129\36\0\101\71\129\36\0",
	305, "\121\8\129\25\0\109\8\129\25\0\109\8\129\26\0\80\8\129\26\0\94\8\129\26\0",
	402, "\122\103\0\110\103\0\110\104\0\81\104\0\95\104\0",
	644, "\129\2\1\40\129\85\0\129\4\1\40\129\85\0\129\4\1\40\129\94\0\89\1\40\129\94\0\102\1\40\129\94\0",
	805, "\124\129\37\0\112\129\37\0\112\129\38\0\83\129\38\0\97\129\38\0",
	966, "\129\2\1\54\129\85\0\129\4\1\54\129\85\0\129\4\1\54\129\94\0\89\1\54\129\94\0\102\1\54\129\94\0",
	1127, "\121\129\114\0\109\129\114\0\109\129\115\0\80\129\115\0\94\129\115\0",
	1448, "\129\2\1\75\129\85\0\129\4\1\75\129\85\0\129\4\1\75\129\94\0\89\1\75\129\94\0\102\1\75\129\94\0",
	1609, "\117\3\129\83\0\105\3\129\83\0\105\3\129\84\0\76\3\129\84\0\90\3\129\84\0",
	1770, "\117\4\5\129\86\0\105\4\5\129\86\0\105\4\5\129\87\0\76\4\5\129\87\0\90\4\5\129\87\0",
	1931, "\117\4\22\129\85\0\105\4\22\129\85\0\105\4\22\129\94\0\76\4\22\129\94\0\90\4\22\129\94\0",
	2092, "\117\4\33\129\85\0\105\4\33\129\85\0\105\4\33\129\94\0\76\4\33\129\94\0\90\4\33\129\94\0",
	2253, "\117\4\40\129\85\0\105\4\40\129\85\0\105\4\40\129\94\0\76\4\40\129\94\0\90\4\40\129\94\0",
	2414, "\117\4\47\129\85\0\105\4\47\129\85\0\105\4\47\129\94\0\76\4\47\129\94\0\90\4\47\129\94\0",
	2575, "\117\4\54\129\85\0\105\4\54\129\85\0\105\4\54\129\94\0\76\4\54\129\94\0\90\4\54\129\94\0",
	2736, "\117\4\61\129\85\0\105\4\61\129\85\0\105\4\61\129\94\0\76\4\61\129\94\0\90\4\61\129\94\0",
	2897, "\117\4\68\129\85\0\105\4\68\129\85\0\105\4\68\129\94\0\76\4\68\129\94\0\90\4\68\129\94\0",
	3058, "\117\4\75\129\85\0\105\4\75\129\85\0\105\4\75\129\94\0\76\4\75\129\94\0\90\4\75\129\94\0",
	3219, "\120\20\129\88\0\108\20\129\88\0\108\20\129\89\0\79\20\129\89\0\93\20\129\89\0",
	3380, "\120\21\5\129\86\0\108\21\5\129\86\0\108\21\5\129\87\0\79\21\5\129\87\0\93\21\5\129\87\0",
	3541, "\120\21\22\129\85\0\108\21\22\129\85\0\108\21\22\129\94\0\79\21\22\129\94\0\93\21\22\129\94\0",
	3701, "\120\21\33\129\85\0\108\21\33\129\85\0\108\21\33\129\94\0\79\21\33\129\94\0\93\21\33\129\94\0",
	3862, "\120\21\40\129\85\0\108\21\40\129\85\0\108\21\40\129\94\0\79\21\40\129\94\0\93\21\40\129\94\0",
	4023, "\120\21\47\129\85\0\108\21\47\129\85\0\108\21\47\129\94\0\79\21\47\129\94\0\93\21\47\129\94\0",
	4184, "\120\21\54\129\85\0\108\21\54\129\85\0\108\21\54\129\94\0\79\21\54\129\94\0\93\21\54\129\94\0",
	4345, "\120\21\61\129\85\0\108\21\61\129\85\0\108\21\61\129\94\0\79\21\61\129\94\0\93\21\61\129\94\0",
	4506, "\120\21\68\129\85\0\108\21\68\129\85\0\108\21\68\129\94\0\79\21\68\129\94\0\93\21\68\129\94\0",
	4667, "\120\21\75\129\85\0\108\21\75\129\85\0\108\21\75\129\94\0\79\21\75\129\94\0\93\21\75\129\94\0",
	4828, "\121\27\129\90\0\109\27\129\90\0\109\27\129\91\0\80\27\129\91\0\94\27\129\91\0",
	4989, "\121\32\5\129\86\0\109\32\5\129\86\0\109\32\5\129\87\0\80\32\5\129\87\0\94\32\5\129\87\0",
	5150, "\121\32\22\129\85\0\109\32\22\129\85\0\109\32\22\129\94\0\80\32\22\129\94\0\94\32\22\129\94\0",
	5311, "\121\32\33\129\85\0\109\32\33\129\85\0\109\32\33\129\94\0\80\32\33\129\94\0\94\32\33\129\94\0",
	5472, "\121\32\40\129\85\0\109\32\40\129\85\0\109\32\40\129\94\0\80\32\40\129\94\0\94\32\40\129\94\0",
	5633, "\121\32\47\129\85\0\109\32\47\129\85\0\109\32\47\129\94\0\80\32\47\129\94\0\94\32\47\129\94\0",
	5794, "\121\32\54\129\85\0\109\32\54\129\85\0\109\32\54\129\94\0\80\32\54\129\94\0\94\32\54\129\94\0",
	5955, "\121\32\61\129\85\0\109\32\61\129\85\0\109\32\61\129\94\0\80\32\61\129\94\0\94\32\61\129\94\0",
	6116, "\121\32\68\129\85\0\109\32\68\129\85\0\109\32\68\129\94\0\80\32\68\129\94\0\94\32\68\129\94\0",
	6276, "\121\32\75\129\85\0\109\32\75\129\85\0\109\32\75\129\94\0\80\32\75\129\94\0\94\32\75\129\94\0",
	6437, "\122\34\129\92\0\110\34\129\92\0\110\34\129\93\0\81\34\129\93\0\95\34\129\93\0",
	6598, "\122\39\5\129\86\0\110\39\5\129\86\0\110\39\5\129\87\0\81\39\5\129\87\0\95\39\5\129\87\0",
	6759, "\122\39\22\129\85\0\110\39\22\129\85\0\110\39\22\129\94\0\81\39\22\129\94\0\95\39\22\129\94\0",
	6920, "\122\39\33\129\85\0\110\39\33\129\85\0\110\39\33\129\94\0\81\39\33\129\94\0\95\39\33\129\94\0",
	7081, "\122\39\40\129\85\0\110\39\40\129\85\0\110\39\40\129\94\0\81\39\40\129\94\0\95\39\40\129\94\0",
	7242, "\122\39\47\129\85\0\110\39\47\129\85\0\110\39\47\129\94\0\81\39\47\129\94\0\95\39\47\129\94\0",
	7403, "\122\39\54\129\85\0\110\39\54\129\85\0\110\39\54\129\94\0\81\39\54\129\94\0\95\39\54\129\94\0",
	7564, "\122\39\61\129\85\0\110\39\61\129\85\0\110\39\61\129\94\0\81\39\61\129\94\0\95\39\61\129\94\0",
	7725, "\122\39\68\129\85\0\110\39\68\129\85\0\110\39\68\129\94\0\81\39\68\129\94\0\95\39\68\129\94\0",
	7886, "\122\39\75\129\85\0\110\39\75\129\85\0\110\39\75\129\94\0\81\39\75\129\94\0\95\39\75\129\94\0",
	8047, "\124\41\129\107\0\112\41\129\107\0\112\41\129\108\0\83\41\129\108\0\97\41\129\108\0",
	8208, "\124\46\5\129\86\0\112\46\5\129\86\0\112\46\5\129\87\0\83\46\5\129\87\0\97\46\5\129\87\0",
	8369, "\124\46\22\129\85\0\112\46\22\129\85\0\112\46\22\129\94\0\83\46\22\129\94\0\97\46\22\129\94\0",
	8530, "\124\46\33\129\85\0\112\46\33\129\85\0\112\46\33\129\94\0\83\46\33\129\94\0\97\46\33\129\94\0",
	8690, "\124\46\40\129\85\0\112\46\40\129\85\0\112\46\40\129\94\0\83\46\40\129\94\0\97\46\40\129\94\0",
	8851, "\124\46\47\129\85\0\112\46\47\129\85\0\112\46\47\129\94\0\83\46\47\129\94\0\97\46\47\129\94\0",
	9012, "\124\46\54\129\85\0\112\46\54\129\85\0\112\46\54\129\94\0\83\46\54\129\94\0\97\46\54\129\94\0",
	9173, "\124\46\61\129\85\0\112\46\61\129\85\0\112\46\61\129\94\0\83\46\61\129\94\0\97\46\61\129\94\0",
	9334, "\124\46\68\129\85\0\112\46\68\129\85\0\112\46\68\129\94\0\83\46\68\129\94\0\97\46\68\129\94\0",
	9495, "\124\46\75\129\85\0\112\46\75\129\85\0\112\46\75\129\94\0\83\46\75\129\94\0\97\46\75\129\94\0",
	9656, "\125\48\129\107\0\113\48\129\107\0\113\48\129\108\0\84\48\129\108\0\98\48\129\108\0",
	9817, "\125\53\5\129\86\0\113\53\5\129\86\0\113\53\5\129\87\0\84\53\5\129\87\0\98\53\5\129\87\0",
	9978, "\125\53\22\129\85\0\113\53\22\129\85\0\113\53\22\129\94\0\84\53\22\129\94\0\98\53\22\129\94\0",
	10139, "\125\53\33\129\85\0\113\53\33\129\85\0\113\53\33\129\94\0\84\53\33\129\94\0\98\53\33\129\94\0",
	10300, "\125\53\40\129\85\0\113\53\40\129\85\0\113\53\40\129\94\0\84\53\40\129\94\0\98\53\40\129\94\0",
	10461, "\125\53\47\129\85\0\113\53\47\129\85\0\113\53\47\129\94\0\84\53\47\129\94\0\98\53\47\129\94\0",
	10622, "\125\53\54\129\85\0\113\53\54\129\85\0\113\53\54\129\94\0\84\53\54\129\94\0\98\53\54\129\94\0",
	10783, "\125\53\61\129\85\0\113\53\61\129\85\0\113\53\61\129\94\0\84\53\61\129\94\0\98\53\61\129\94\0",
	10944, "\125\53\68\129\85\0\113\53\68\129\85\0\113\53\68\129\94\0\84\53\68\129\94\0\98\53\68\129\94\0",
	11104, "\125\53\75\129\85\0\113\53\75\129\85\0\113\53\75\129\94\0\84\53\75\129\94\0\98\53\75\129\94\0",
	11265, "\126\55\129\109\0\114\55\129\109\0\114\55\129\110\0\85\55\129\110\0\99\55\129\110\0",
	11426, "\126\60\5\129\86\0\114\60\5\129\86\0\114\60\5\129\87\0\85\60\5\129\87\0\99\60\5\129\87\0",
	11587, "\126\60\22\129\85\0\114\60\22\129\85\0\114\60\22\129\94\0\85\60\22\129\94\0\99\60\22\129\94\0",
	11748, "\126\60\33\129\85\0\114\60\33\129\85\0\114\60\33\129\94\0\85\60\33\129\94\0\99\60\33\129\94\0",
	11909, "\126\60\40\129\85\0\114\60\40\129\85\0\114\60\40\129\94\0\85\60\40\129\94\0\99\60\40\129\94\0",
	12070, "\126\60\47\129\85\0\114\60\47\129\85\0\114\60\47\129\94\0\85\60\47\129\94\0\99\60\47\129\94\0",
	12231, "\126\60\54\129\85\0\114\60\54\129\85\0\114\60\54\129\94\0\85\60\54\129\94\0\99\60\54\129\94\0",
	12392, "\126\60\61\129\85\0\114\60\61\129\85\0\114\60\61\129\94\0\85\60\61\129\94\0\99\60\61\129\94\0",
	12553, "\126\60\68\129\85\0\114\60\68\129\85\0\114\60\68\129\94\0\85\60\68\129\94\0\99\60\68\129\94\0",
	12714, "\126\60\75\129\85\0\114\60\75\129\85\0\114\60\75\129\94\0\85\60\75\129\94\0\99\60\75\129\94\0",
	12875, "\127\62\129\109\0\115\62\129\109\0\115\62\129\110\0\86\62\129\110\0\100\62\129\110\0",
	13036, "\127\67\5\129\86\0\115\67\5\129\86\0\115\67\5\129\87\0\86\67\5\129\87\0\100\67\5\129\87\0",
	13197, "\127\67\22\129\85\0\115\67\22\129\85\0\115\67\22\129\94\0\86\67\22\129\94\0\100\67\22\129\94\0",
	13358, "\127\67\33\129\85\0\115\67\33\129\85\0\115\67\33\129\94\0\86\67\33\129\94\0\100\67\33\129\94\0",
	13518, "\127\67\40\129\85\0\115\67\40\129\85\0\115\67\40\129\94\0\86\67\40\129\94\0\100\67\40\129\94\0",
	13679, "\127\67\47\129\85\0\115\67\47\129\85\0\115\67\47\129\94\0\86\67\47\129\94\0\100\67\47\129\94\0",
	13840, "\127\67\54\129\85\0\115\67\54\129\85\0\115\67\54\129\94\0\86\67\54\129\94\0\100\67\54\129\94\0",
	14001, "\127\67\61\129\85\0\115\67\61\129\85\0\115\67\61\129\94\0\86\67\61\129\94\0\100\67\61\129\94\0",
	14162, "\127\67\68\129\85\0\115\67\68\129\85\0\115\67\68\129\94\0\86\67\68\129\94\0\100\67\68\129\94\0",
	14323, "\127\67\75\129\85\0\115\67\75\129\85\0\115\67\75\129\94\0\86\67\75\129\94\0\100\67\75\129\94\0",
	14484, "\129\0\69\129\107\0\116\69\129\107\0\116\69\129\108\0\87\69\129\108\0\101\69\129\108\0",
	14645, "\129\0\74\5\129\86\0\116\74\5\129\86\0\116\74\5\129\87\0\87\74\5\129\87\0\101\74\5\129\87\0",
	14806, "\129\0\74\22\129\85\0\116\74\22\129\85\0\116\74\22\129\94\0\87\74\22\129\94\0\101\74\22\129\94\0",
	14967, "\129\0\74\33\129\85\0\116\74\33\129\85\0\116\74\33\129\94\0\87\74\33\129\94\0\101\74\33\129\94\0",
	15128, "\129\0\74\40\129\85\0\116\74\40\129\85\0\116\74\40\129\94\0\87\74\40\129\94\0\101\74\40\129\94\0",
	15289, "\129\0\74\47\129\85\0\116\74\47\129\85\0\116\74\47\129\94\0\87\74\47\129\94\0\101\74\47\129\94\0",
	15450, "\129\0\74\54\129\85\0\116\74\54\129\85\0\116\74\54\129\94\0\87\74\54\129\94\0\101\74\54\129\94\0",
	15611, "\129\0\74\61\129\85\0\116\74\61\129\85\0\116\74\61\129\94\0\87\74\61\129\94\0\101\74\61\129\94\0",
	15772, "\129\0\74\68\129\85\0\116\74\68\129\85\0\116\74\68\129\94\0\87\74\68\129\94\0\101\74\68\129\94\0",
	15933, "\129\0\74\75\129\85\0\116\74\75\129\85\0\116\74\75\129\94\0\87\74\75\129\94\0\101\74\75\129\94\0",
	16093, "\118\6\129\107\0\106\6\129\107\0\106\6\129\108\0\77\6\129\108\0\91\6\129\108\0",
	17703, "\117\10\129\95\0\105\10\129\95\0\105\10\129\96\0\76\10\129\96\0\90\10\129\96\0",
	19312, "\120\11\129\95\0\108\11\129\95\0\108\11\129\96\0\79\11\129\96\0\93\11\129\96\0",
	20921, "\121\12\129\95\0\109\12\129\95\0\109\12\129\96\0\80\12\129\96\0\94\12\129\96\0",
	22531, "\122\13\129\95\0\110\13\129\95\0\110\13\129\96\0\81\13\129\96\0\95\13\129\96\0",
	24140, "\124\14\129\95\0\112\14\129\95\0\112\14\129\96\0\83\14\129\96\0\97\14\129\96\0",
	25750, "\125\15\129\95\0\113\15\129\95\0\113\15\129\96\0\84\15\129\96\0\98\15\129\96\0",
	27359, "\126\16\129\95\0\114\16\129\95\0\114\16\129\96\0\85\16\129\96\0\99\16\129\96\0",
	28968, "\127\17\129\95\0\115\17\129\95\0\115\17\129\96\0\86\17\129\96\0\100\17\129\96\0",
	30578, "\129\0\18\129\95\0\116\18\129\95\0\116\18\129\96\0\87\18\129\96\0\101\18\129\96\0",
	32187, "\120\23\129\95\0\108\23\129\95\0\108\23\129\96\0\79\23\129\96\0\93\23\129\96\0",
	33796, "\120\26\129\6\129\83\0\108\26\129\6\129\83\0\108\26\129\6\129\84\0\79\26\129\6\129\84\0\93\26\129\6\129\84\0",
	35406, "\120\26\129\9\129\88\0\108\26\129\9\129\88\0\108\26\129\9\129\89\0\79\26\129\9\129\89\0\93\26\129\9\129\89\0",
	37015, "\120\26\129\11\129\90\0\108\26\129\11\129\90\0\108\26\129\11\129\91\0\79\26\129\11\129\91\0\93\26\129\11\129\91\0",
	38624, "\120\26\129\13\129\92\0\108\26\129\13\129\92\0\108\26\129\13\129\93\0\79\26\129\13\129\93\0\93\26\129\13\129\93\0",
	40234, "\120\26\129\15\129\107\0\108\26\129\15\129\107\0\108\26\129\15\129\108\0\79\26\129\15\129\108\0\93\26\129\15\129\108\0",
	41843, "\120\26\129\17\129\107\0\108\26\129\17\129\107\0\108\26\129\17\129\108\0\79\26\129\17\129\108\0\93\26\129\17\129\108\0",
	43452, "\120\26\129\19\129\109\0\108\26\129\19\129\109\0\108\26\129\19\129\110\0\79\26\129\19\129\110\0\93\26\129\19\129\110\0",
	45062, "\120\26\129\21\129\109\0\108\26\129\21\129\109\0\108\26\129\21\129\110\0\79\26\129\21\129\110\0\93\26\129\21\129\110\0",
	46671, "\120\26\129\23\129\107\0\108\26\129\23\129\107\0\108\26\129\23\129\108\0\79\26\129\23\129\108\0\93\26\129\23\129\108\0",
	48280, "\121\28\129\95\0\109\28\129\95\0\109\28\129\96\0\80\28\129\96\0\94\28\129\96\0",
	49890, "\121\31\129\6\129\83\0\109\31\129\6\129\83\0\109\31\129\6\129\84\0\80\31\129\6\129\84\0\94\31\129\6\129\84\0",
	51499, "\121\31\129\9\129\88\0\109\31\129\9\129\88\0\109\31\129\9\129\89\0\80\31\129\9\129\89\0\94\31\129\9\129\89\0",
	53108, "\121\31\129\11\129\90\0\109\31\129\11\129\90\0\109\31\129\11\129\91\0\80\31\129\11\129\91\0\94\31\129\11\129\91\0",
	54718, "\121\31\129\13\129\92\0\109\31\129\13\129\92\0\109\31\129\13\129\93\0\80\31\129\13\129\93\0\94\31\129\13\129\93\0",
	56327, "\121\31\129\15\129\107\0\109\31\129\15\129\107\0\109\31\129\15\129\108\0\80\31\129\15\129\108\0\94\31\129\15\129\108\0",
	57936, "\121\31\129\17\129\107\0\109\31\129\17\129\107\0\109\31\129\17\129\108\0\80\31\129\17\129\108\0\94\31\129\17\129\108\0",
	59546, "\121\31\129\19\129\109\0\109\31\129\19\129\109\0\109\31\129\19\129\110\0\80\31\129\19\129\110\0\94\31\129\19\129\110\0",
	61155, "\121\31\129\21\129\109\0\109\31\129\21\129\109\0\109\31\129\21\129\110\0\80\31\129\21\129\110\0\94\31\129\21\129\110\0",
	62764, "\121\31\129\23\129\107\0\109\31\129\23\129\107\0\109\31\129\23\129\108\0\80\31\129\23\129\108\0\94\31\129\23\129\108\0",
	64374, "\123\35\129\101\0\111\35\129\101\0\111\35\129\102\0\82\35\129\102\0\96\35\129\102\0",
	65983, "\123\38\129\6\129\83\0\111\38\129\6\129\83\0\111\38\129\6\129\84\0\82\38\129\6\129\84\0\96\38\129\6\129\84\0",
	67592, "\123\38\129\9\129\88\0\111\38\129\9\129\88\0\111\38\129\9\129\89\0\82\38\129\9\129\89\0\96\38\129\9\129\89\0",
	69202, "\123\38\129\11\129\90\0\111\38\129\11\129\90\0\111\38\129\11\129\91\0\82\38\129\11\129\91\0\96\38\129\11\129\91\0",
	70811, "\123\38\129\13\129\92\0\111\38\129\13\129\92\0\111\38\129\13\129\93\0\82\38\129\13\129\93\0\96\38\129\13\129\93\0",
	72420, "\123\38\129\15\129\107\0\111\38\129\15\129\107\0\111\38\129\15\129\108\0\82\38\129\15\129\108\0\96\38\129\15\129\108\0",
	74030, "\123\38\129\17\129\107\0\111\38\129\17\129\107\0\111\38\129\17\129\108\0\82\38\129\17\129\108\0\96\38\129\17\129\108\0",
	75639, "\123\38\129\19\129\109\0\111\38\129\19\129\109\0\111\38\129\19\129\110\0\82\38\129\19\129\110\0\96\38\129\19\129\110\0",
	77249, "\123\38\129\21\129\109\0\111\38\129\21\129\109\0\111\38\129\21\129\110\0\82\38\129\21\129\110\0\96\38\129\21\129\110\0",
	78858, "\123\38\129\23\129\107\0\111\38\129\23\129\107\0\111\38\129\23\129\108\0\82\38\129\23\129\108\0\96\38\129\23\129\108\0",
	80467, "\124\42\129\105\0\112\42\129\105\0\112\42\129\106\0\83\42\129\106\0\97\42\129\106\0",
	82077, "\124\45\129\6\129\83\0\112\45\129\6\129\83\0\112\45\129\6\129\84\0\83\45\129\6\129\84\0\97\45\129\6\129\84\0",
	83686, "\124\45\129\9\129\88\0\112\45\129\9\129\88\0\112\45\129\9\129\89\0\83\45\129\9\129\89\0\97\45\129\9\129\89\0",
	85295, "\124\45\129\11\129\90\0\112\45\129\11\129\90\0\112\45\129\11\129\91\0\83\45\129\11\129\91\0\97\45\129\11\129\91\0",
	86905, "\124\45\129\13\129\92\0\112\45\129\13\129\92\0\112\45\129\13\129\93\0\83\45\129\13\129\93\0\97\45\129\13\129\93\0",
	88514, "\124\45\129\15\129\107\0\112\45\129\15\129\107\0\112\45\129\15\129\108\0\83\45\129\15\129\108\0\97\45\129\15\129\108\0",
	90123, "\124\45\129\17\129\107\0\112\45\129\17\129\107\0\112\45\129\17\129\108\0\83\45\129\17\129\108\0\97\45\129\17\129\108\0",
	91733, "\124\45\129\19\129\109\0\112\45\129\19\129\109\0\112\45\129\19\129\110\0\83\45\129\19\129\110\0\97\45\129\19\129\110\0",
	93342, "\124\45\129\21\129\109\0\112\45\129\21\129\109\0\112\45\129\21\129\110\0\83\45\129\21\129\110\0\97\45\129\21\129\110\0",
	94951, "\124\45\129\23\129\107\0\112\45\129\23\129\107\0\112\45\129\23\129\108\0\83\45\129\23\129\108\0\97\45\129\23\129\108\0",
	96561, "\125\49\129\105\0\113\49\129\105\0\113\49\129\106\0\84\49\129\106\0\98\49\129\106\0",
	98170, "\125\52\129\6\129\83\0\113\52\129\6\129\83\0\113\52\129\6\129\84\0\84\52\129\6\129\84\0\98\52\129\6\129\84\0",
	99779, "\125\52\129\9\129\88\0\113\52\129\9\129\88\0\113\52\129\9\129\89\0\84\52\129\9\129\89\0\98\52\129\9\129\89\0",
	101389, "\125\52\129\11\129\90\0\113\52\129\11\129\90\0\113\52\129\11\129\91\0\84\52\129\11\129\91\0\98\52\129\11\129\91\0",
	102998, "\125\52\129\13\129\92\0\113\52\129\13\129\92\0\113\52\129\13\129\93\0\84\52\129\13\129\93\0\98\52\129\13\129\93\0",
	104607, "\125\52\129\15\129\107\0\113\52\129\15\129\107\0\113\52\129\15\129\108\0\84\52\129\15\129\108\0\98\52\129\15\129\108\0",
	106217, "\125\52\129\17\129\107\0\113\52\129\17\129\107\0\113\52\129\17\129\108\0\84\52\129\17\129\108\0\98\52\129\17\129\108\0",
	107826, "\125\52\129\19\129\109\0\113\52\129\19\129\109\0\113\52\129\19\129\110\0\84\52\129\19\129\110\0\98\52\129\19\129\110\0",
	109435, "\125\52\129\21\129\109\0\113\52\129\21\129\109\0\113\52\129\21\129\110\0\84\52\129\21\129\110\0\98\52\129\21\129\110\0",
	111045, "\125\52\129\23\129\107\0\113\52\129\23\129\107\0\113\52\129\23\129\108\0\84\52\129\23\129\108\0\98\52\129\23\129\108\0",
	112654, "\126\56\129\105\0\114\56\129\105\0\114\56\129\106\0\85\56\129\106\0\99\56\129\106\0",
	114263, "\126\59\129\6\129\83\0\114\59\129\6\129\83\0\114\59\129\6\129\84\0\85\59\129\6\129\84\0\99\59\129\6\129\84\0",
	115873, "\126\59\129\9\129\88\0\114\59\129\9\129\88\0\114\59\129\9\129\89\0\85\59\129\9\129\89\0\99\59\129\9\129\89\0",
	117482, "\126\59\129\11\129\90\0\114\59\129\11\129\90\0\114\59\129\11\129\91\0\85\59\129\11\129\91\0\99\59\129\11\129\91\0",
	119091, "\126\59\129\13\129\92\0\114\59\129\13\129\92\0\114\59\129\13\129\93\0\85\59\129\13\129\93\0\99\59\129\13\129\93\0",
	120701, "\126\59\129\15\129\107\0\114\59\129\15\129\107\0\114\59\129\15\129\108\0\85\59\129\15\129\108\0\99\59\129\15\129\108\0",
	122310, "\126\59\129\17\129\107\0\114\59\129\17\129\107\0\114\59\129\17\129\108\0\85\59\129\17\129\108\0\99\59\129\17\129\108\0",
	123919, "\126\59\129\19\129\109\0\114\59\129\19\129\109\0\114\59\129\19\129\110\0\85\59\129\19\129\110\0\99\59\129\19\129\110\0",
	125529, "\126\59\129\21\129\109\0\114\59\129\21\129\109\0\114\59\129\21\129\110\0\85\59\129\21\129\110\0\99\59\129\21\129\110\0",
	127138, "\126\59\129\23\129\107\0\114\59\129\23\129\107\0\114\59\129\23\129\108\0\85\59\129\23\129\108\0\99\59\129\23\129\108\0",
	128748, "\127\63\129\105\0\115\63\129\105\0\115\63\129\106\0\86\63\129\106\0\100\63\129\106\0",
	130357, "\127\66\129\6\129\83\0\115\66\129\6\129\83\0\115\66\129\6\129\84\0\86\66\129\6\129\84\0\100\66\129\6\129\84\0",
	131966, "\127\66\129\9\129\88\0\115\66\129\9\129\88\0\115\66\129\9\129\89\0\86\66\129\9\129\89\0\100\66\129\9\129\89\0",
	133576, "\127\66\129\11\129\90\0\115\66\129\11\129\90\0\115\66\129\11\129\91\0\86\66\129\11\129\91\0\100\66\129\11\129\91\0",
	135185, "\127\66\129\13\129\92\0\115\66\129\13\129\92\0\115\66\129\13\129\93\0\86\66\129\13\129\93\0\100\66\129\13\129\93\0",
	136794, "\127\66\129\15\129\107\0\115\66\129\15\129\107\0\115\66\129\15\129\108\0\86\66\129\15\129\108\0\100\66\129\15\129\108\0",
	138404, "\127\66\129\17\129\107\0\115\66\129\17\129\107\0\115\66\129\17\129\108\0\86\66\129\17\129\108\0\100\66\129\17\129\108\0",
	140013, "\127\66\129\19\129\109\0\115\66\129\19\129\109\0\115\66\129\19\129\110\0\86\66\129\19\129\110\0\100\66\129\19\129\110\0",
	141622, "\127\66\129\21\129\109\0\115\66\129\21\129\109\0\115\66\129\21\129\110\0\86\66\129\21\129\110\0\100\66\129\21\129\110\0",
	143232, "\127\66\129\23\129\107\0\115\66\129\23\129\107\0\115\66\129\23\129\108\0\86\66\129\23\129\108\0\100\66\129\23\129\108\0",
	144841, "\129\0\70\129\111\0\116\70\129\111\0\116\70\129\112\0\87\70\129\112\0\101\70\129\112\0",
	146450, "\129\0\73\129\6\129\83\0\116\73\129\6\129\83\0\116\73\129\6\129\84\0\87\73\129\6\129\84\0\101\73\129\6\129\84\0",
	148060, "\129\0\73\129\9\129\88\0\116\73\129\9\129\88\0\116\73\129\9\129\89\0\87\73\129\9\129\89\0\101\73\129\9\129\89\0",
	149669, "\129\0\73\129\11\129\90\0\116\73\129\11\129\90\0\116\73\129\11\129\91\0\87\73\129\11\129\91\0\101\73\129\11\129\91\0",
	151278, "\129\0\73\129\13\129\92\0\116\73\129\13\129\92\0\116\73\129\13\129\93\0\87\73\129\13\129\93\0\101\73\129\13\129\93\0",
	152888, "\129\0\73\129\15\129\107\0\116\73\129\15\129\107\0\116\73\129\15\129\108\0\87\73\129\15\129\108\0\101\73\129\15\129\108\0",
	154497, "\129\0\73\129\17\129\107\0\116\73\129\17\129\107\0\116\73\129\17\129\108\0\87\73\129\17\129\108\0\101\73\129\17\129\108\0",
	156106, "\129\0\73\129\19\129\109\0\116\73\129\19\129\109\0\116\73\129\19\129\110\0\87\73\129\19\129\110\0\101\73\129\19\129\110\0",
	157716, "\129\0\73\129\21\129\109\0\116\73\129\21\129\109\0\116\73\129\21\129\110\0\87\73\129\21\129\110\0\101\73\129\21\129\110\0",
	159325, "\129\0\73\129\23\129\107\0\116\73\129\23\129\107\0\116\73\129\23\129\108\0\87\73\129\23\129\108\0\101\73\129\23\129\108\0",
	160934, "\119\7\129\111\0\107\7\129\111\0\107\7\129\112\0\78\7\129\112\0\92\7\129\112\0",
	177028, "\119\9\129\7\129\107\0\107\9\129\7\129\107\0\107\9\129\7\129\108\0\78\9\129\7\129\108\0\92\9\129\7\129\108\0",
	193121, "\119\9\129\10\129\95\0\107\9\129\10\129\95\0\107\9\129\10\129\96\0\78\9\129\10\129\96\0\92\9\129\10\129\96\0",
	209215, "\119\9\129\12\129\95\0\107\9\129\12\129\95\0\107\9\129\12\129\96\0\78\9\129\12\129\96\0\92\9\129\12\129\96\0",
	225308, "\119\9\129\14\129\101\0\107\9\129\14\129\101\0\107\9\129\14\129\102\0\78\9\129\14\129\102\0\92\9\129\14\129\102\0",
	241402, "\119\9\129\16\129\105\0\107\9\129\16\129\105\0\107\9\129\16\129\106\0\78\9\129\16\129\106\0\92\9\129\16\129\106\0",
	257495, "\119\9\129\18\129\105\0\107\9\129\18\129\105\0\107\9\129\18\129\106\0\78\9\129\18\129\106\0\92\9\129\18\129\106\0",
	273588, "\119\9\129\20\129\105\0\107\9\129\20\129\105\0\107\9\129\20\129\106\0\78\9\129\20\129\106\0\92\9\129\20\129\106\0",
	289682, "\119\9\129\22\129\105\0\107\9\129\22\129\105\0\107\9\129\22\129\106\0\78\9\129\22\129\106\0\92\9\129\22\129\106\0",
	305775, "\119\9\129\24\129\111\0\107\9\129\24\129\111\0\107\9\129\24\129\112\0\78\9\129\24\129\112\0\92\9\129\24\129\112\0",
	321869, "\120\24\129\97\0\108\24\129\97\0\108\24\129\98\0\79\24\129\98\0\93\24\129\98\0",
	337962, "\120\25\129\7\129\107\0\108\25\129\7\129\107\0\108\25\129\7\129\108\0\79\25\129\7\129\108\0\93\25\129\7\129\108\0",
	354056, "\120\25\129\10\129\95\0\108\25\129\10\129\95\0\108\25\129\10\129\96\0\79\25\129\10\129\96\0\93\25\129\10\129\96\0",
	370149, "\120\25\129\12\129\95\0\108\25\129\12\129\95\0\108\25\129\12\129\96\0\79\25\129\12\129\96\0\93\25\129\12\129\96\0",
	386243, "\120\25\129\14\129\101\0\108\25\129\14\129\101\0\108\25\129\14\129\102\0\79\25\129\14\129\102\0\93\25\129\14\129\102\0",
	402336, "\120\25\129\16\129\105\0\108\25\129\16\129\105\0\108\25\129\16\129\106\0\79\25\129\16\129\106\0\93\25\129\16\129\106\0",
	418429, "\120\25\129\18\129\105\0\108\25\129\18\129\105\0\108\25\129\18\129\106\0\79\25\129\18\129\106\0\93\25\129\18\129\106\0",
	434523, "\120\25\129\20\129\105\0\108\25\129\20\129\105\0\108\25\129\20\129\106\0\79\25\129\20\129\106\0\93\25\129\20\129\106\0",
	450616, "\120\25\129\22\129\105\0\108\25\129\22\129\105\0\108\25\129\22\129\106\0\79\25\129\22\129\106\0\93\25\129\22\129\106\0",
	466710, "\120\25\129\24\129\111\0\108\25\129\24\129\111\0\108\25\129\24\129\112\0\79\25\129\24\129\112\0\93\25\129\24\129\112\0",
	482803, "\121\29\129\99\0\109\29\129\99\0\109\29\129\100\0\80\29\129\100\0\94\29\129\100\0",
	498897, "\121\30\129\7\129\107\0\109\30\129\7\129\107\0\109\30\129\7\129\108\0\80\30\129\7\129\108\0\94\30\129\7\129\108\0",
	514990, "\121\30\129\10\129\95\0\109\30\129\10\129\95\0\109\30\129\10\129\96\0\80\30\129\10\129\96\0\94\30\129\10\129\96\0",
	531084, "\121\30\129\12\129\95\0\109\30\129\12\129\95\0\109\30\129\12\129\96\0\80\30\129\12\129\96\0\94\30\129\12\129\96\0",
	547177, "\121\30\129\14\129\101\0\109\30\129\14\129\101\0\109\30\129\14\129\102\0\80\30\129\14\129\102\0\94\30\129\14\129\102\0",
	563270, "\121\30\129\16\129\105\0\109\30\129\16\129\105\0\109\30\129\16\129\106\0\80\30\129\16\129\106\0\94\30\129\16\129\106\0",
	579364, "\121\30\129\18\129\105\0\109\30\129\18\129\105\0\109\30\129\18\129\106\0\80\30\129\18\129\106\0\94\30\129\18\129\106\0",
	595457, "\121\30\129\20\129\105\0\109\30\129\20\129\105\0\109\30\129\20\129\106\0\80\30\129\20\129\106\0\94\30\129\20\129\106\0",
	611551, "\121\30\129\22\129\105\0\109\30\129\22\129\105\0\109\30\129\22\129\106\0\80\30\129\22\129\106\0\94\30\129\22\129\106\0",
	627644, "\121\30\129\24\129\111\0\109\30\129\24\129\111\0\109\30\129\24\129\112\0\80\30\129\24\129\112\0\94\30\129\24\129\112\0",
	643738, "\122\36\129\99\0\110\36\129\99\0\110\36\129\100\0\81\36\129\100\0\95\36\129\100\0",
	659831, "\122\37\129\7\129\107\0\110\37\129\7\129\107\0\110\37\129\7\129\108\0\81\37\129\7\129\108\0\95\37\129\7\129\108\0",
	675924, "\122\37\129\10\129\95\0\110\37\129\10\129\95\0\110\37\129\10\129\96\0\81\37\129\10\129\96\0\95\37\129\10\129\96\0",
	692018, "\122\37\129\12\129\95\0\110\37\129\12\129\95\0\110\37\129\12\129\96\0\81\37\129\12\129\96\0\95\37\129\12\129\96\0",
	708111, "\122\37\129\14\129\101\0\110\37\129\14\129\101\0\110\37\129\14\129\102\0\81\37\129\14\129\102\0\95\37\129\14\129\102\0",
	724205, "\122\37\129\16\129\105\0\110\37\129\16\129\105\0\110\37\129\16\129\106\0\81\37\129\16\129\106\0\95\37\129\16\129\106\0",
	740298, "\122\37\129\18\129\105\0\110\37\129\18\129\105\0\110\37\129\18\129\106\0\81\37\129\18\129\106\0\95\37\129\18\129\106\0",
	756392, "\122\37\129\20\129\105\0\110\37\129\20\129\105\0\110\37\129\20\129\106\0\81\37\129\20\129\106\0\95\37\129\20\129\106\0",
	772485, "\122\37\129\22\129\105\0\110\37\129\22\129\105\0\110\37\129\22\129\106\0\81\37\129\22\129\106\0\95\37\129\22\129\106\0",
	788579, "\122\37\129\24\129\111\0\110\37\129\24\129\111\0\110\37\129\24\129\112\0\81\37\129\24\129\112\0\95\37\129\24\129\112\0",
	804672, "\124\43\129\103\0\112\43\129\103\0\112\43\129\104\0\83\43\129\104\0\97\43\129\104\0",
	820765, "\129\1\129\113\43\129\103\0\129\3\129\113\43\129\103\0\129\3\129\113\43\129\104\0\88\129\113\43\129\104\0\97\43\129\104\0",
}

distances.yards = {
	9, "\118\6\129\116\0\106\6\129\116\0\106\6\129\117\0\77\6\129\117\0\91\6\129\117\0",
	18, "\120\23\129\116\0\108\23\129\116\0\108\23\129\117\0\79\23\129\117\0\93\23\129\117\0",
	27, "\121\28\129\116\0\109\28\129\116\0\109\28\129\117\0\80\28\129\117\0\94\28\129\117\0",
	37, "\123\35\129\122\0\111\35\129\122\0\111\35\129\123\0\82\35\129\123\0\96\35\129\123\0",
	46, "\124\42\129\124\0\112\42\129\124\0\112\42\129\125\0\83\42\129\125\0\97\42\129\125\0",
	55, "\125\49\129\124\0\113\49\129\124\0\113\49\129\125\0\84\49\129\125\0\98\49\129\125\0",
	64, "\126\56\129\124\0\114\56\129\124\0\114\56\129\125\0\85\56\129\125\0\99\56\129\125\0",
	73, "\127\63\129\124\0\115\63\129\124\0\115\63\129\125\0\86\63\129\125\0\100\63\129\125\0",
	82, "\129\0\70\129\126\0\116\70\129\126\0\116\70\129\127\0\87\70\129\127\0\101\70\129\127\0",
	91, "\119\7\129\126\0\107\7\129\126\0\107\7\129\127\0\78\7\129\127\0\92\7\129\127\0",
	101, "\119\9\129\7\129\116\0\107\9\129\7\129\116\0\107\9\129\7\129\117\0\78\9\129\7\129\117\0\92\9\129\7\129\117\0",
	110, "\119\9\129\10\129\116\0\107\9\129\10\129\116\0\107\9\129\10\129\117\0\78\9\129\10\129\117\0\92\9\129\10\129\117\0",
	119, "\119\9\129\12\129\116\0\107\9\129\12\129\116\0\107\9\129\12\129\117\0\78\9\129\12\129\117\0\92\9\129\12\129\117\0",
	128, "\119\9\129\14\129\122\0\107\9\129\14\129\122\0\107\9\129\14\129\123\0\78\9\129\14\129\123\0\92\9\129\14\129\123\0",
	137, "\119\9\129\16\129\124\0\107\9\129\16\129\124\0\107\9\129\16\129\125\0\78\9\129\16\129\125\0\92\9\129\16\129\125\0",
	146, "\119\9\129\18\129\124\0\107\9\129\18\129\124\0\107\9\129\18\129\125\0\78\9\129\18\129\125\0\92\9\129\18\129\125\0",
	155, "\119\9\129\20\129\124\0\107\9\129\20\129\124\0\107\9\129\20\129\125\0\78\9\129\20\129\125\0\92\9\129\20\129\125\0",
	165, "\119\9\129\22\129\124\0\107\9\129\22\129\124\0\107\9\129\22\129\125\0\78\9\129\22\129\125\0\92\9\129\22\129\125\0",
	174, "\119\9\129\24\129\126\0\107\9\129\24\129\126\0\107\9\129\24\129\127\0\78\9\129\24\129\127\0\92\9\129\24\129\127\0",
	183, "\120\24\129\118\0\108\24\129\118\0\108\24\129\119\0\79\24\129\119\0\93\24\129\119\0",
	192, "\120\25\129\7\129\116\0\108\25\129\7\129\116\0\108\25\129\7\129\117\0\79\25\129\7\129\117\0\93\25\129\7\129\117\0",
	201, "\120\25\129\10\129\116\0\108\25\129\10\129\116\0\108\25\129\10\129\117\0\79\25\129\10\129\117\0\93\25\129\10\129\117\0",
	210, "\120\25\129\12\129\116\0\108\25\129\12\129\116\0\108\25\129\12\129\117\0\79\25\129\12\129\117\0\93\25\129\12\129\117\0",
	219, "\120\25\129\14\129\122\0\108\25\129\14\129\122\0\108\25\129\14\129\123\0\79\25\129\14\129\123\0\93\25\129\14\129\123\0",
	229, "\120\25\129\16\129\124\0\108\25\129\16\129\124\0\108\25\129\16\129\125\0\79\25\129\16\129\125\0\93\25\129\16\129\125\0",
	238, "\120\25\129\18\129\124\0\108\25\129\18\129\124\0\108\25\129\18\129\125\0\79\25\129\18\129\125\0\93\25\129\18\129\125\0",
	247, "\120\25\129\20\129\124\0\108\25\129\20\129\124\0\108\25\129\20\129\125\0\79\25\129\20\129\125\0\93\25\129\20\129\125\0",
	256, "\120\25\129\22\129\124\0\108\25\129\22\129\124\0\108\25\129\22\129\125\0\79\25\129\22\129\125\0\93\25\129\22\129\125\0",
	265, "\120\25\129\24\129\126\0\108\25\129\24\129\126\0\108\25\129\24\129\127\0\79\25\129\24\129\127\0\93\25\129\24\129\127\0",
	274, "\121\29\129\120\0\109\29\129\120\0\109\29\129\121\0\80\29\129\121\0\94\29\129\121\0",
	283, "\121\30\129\7\129\116\0\109\30\129\7\129\116\0\109\30\129\7\129\117\0\80\30\129\7\129\117\0\94\30\129\7\129\117\0",
	293, "\121\30\129\10\129\116\0\109\30\129\10\129\116\0\109\30\129\10\129\117\0\80\30\129\10\129\117\0\94\30\129\10\129\117\0",
	302, "\121\30\129\12\129\116\0\109\30\129\12\129\116\0\109\30\129\12\129\117\0\80\30\129\12\129\117\0\94\30\129\12\129\117\0",
	311, "\121\30\129\14\129\122\0\109\30\129\14\129\122\0\109\30\129\14\129\123\0\80\30\129\14\129\123\0\94\30\129\14\129\123\0",
	320, "\121\30\129\16\129\124\0\109\30\129\16\129\124\0\109\30\129\16\129\125\0\80\30\129\16\129\125\0\94\30\129\16\129\125\0",
	329, "\121\30\129\18\129\124\0\109\30\129\18\129\124\0\109\30\129\18\129\125\0\80\30\129\18\129\125\0\94\30\129\18\129\125\0",
	338, "\121\30\129\20\129\124\0\109\30\129\20\129\124\0\109\30\129\20\129\125\0\80\30\129\20\129\125\0\94\30\129\20\129\125\0",
	347, "\121\30\129\22\129\124\0\109\30\129\22\129\124\0\109\30\129\22\129\125\0\80\30\129\22\129\125\0\94\30\129\22\129\125\0",
	357, "\121\30\129\24\129\126\0\109\30\129\24\129\126\0\109\30\129\24\129\127\0\80\30\129\24\129\127\0\94\30\129\24\129\127\0",
	366, "\122\36\129\120\0\110\36\129\120\0\110\36\129\121\0\81\36\129\121\0\95\36\129\121\0",
	402, "\122\103\0\110\103\0\110\104\0\81\104\0\95\104\0",
	644, "\129\2\1\40\129\85\0\129\4\1\40\129\85\0\129\4\1\40\129\94\0\89\1\40\129\94\0\102\1\40\129\94\0",
	805, "\124\129\37\0\112\129\37\0\112\129\38\0\83\129\38\0\97\129\38\0",
	966, "\129\2\1\54\129\85\0\129\4\1\54\129\85\0\129\4\1\54\129\94\0\89\1\54\129\94\0\102\1\54\129\94\0",
	1127, "\121\129\114\0\109\129\114\0\109\129\115\0\80\129\115\0\94\129\115\0",
	1448, "\129\2\1\75\129\85\0\129\4\1\75\129\85\0\129\4\1\75\129\94\0\89\1\75\129\94\0\102\1\75\129\94\0",
	1609, "\117\3\129\83\0\105\3\129\83\0\105\3\129\84\0\76\3\129\84\0\90\3\129\84\0",
	1770, "\117\4\5\129\86\0\105\4\5\129\86\0\105\4\5\129\87\0\76\4\5\129\87\0\90\4\5\129\87\0",
	1931, "\117\4\22\129\85\0\105\4\22\129\85\0\105\4\22\129\94\0\76\4\22\129\94\0\90\4\22\129\94\0",
	2092, "\117\4\33\129\85\0\105\4\33\129\85\0\105\4\33\129\94\0\76\4\33\129\94\0\90\4\33\129\94\0",
	2253, "\117\4\40\129\85\0\105\4\40\129\85\0\105\4\40\129\94\0\76\4\40\129\94\0\90\4\40\129\94\0",
	2414, "\117\4\47\129\85\0\105\4\47\129\85\0\105\4\47\129\94\0\76\4\47\129\94\0\90\4\47\129\94\0",
	2575, "\117\4\54\129\85\0\105\4\54\129\85\0\105\4\54\129\94\0\76\4\54\129\94\0\90\4\54\129\94\0",
	2736, "\117\4\61\129\85\0\105\4\61\129\85\0\105\4\61\129\94\0\76\4\61\129\94\0\90\4\61\129\94\0",
	2897, "\117\4\68\129\85\0\105\4\68\129\85\0\105\4\68\129\94\0\76\4\68\129\94\0\90\4\68\129\94\0",
	3058, "\117\4\75\129\85\0\105\4\75\129\85\0\105\4\75\129\94\0\76\4\75\129\94\0\90\4\75\129\94\0",
	3219, "\120\20\129\88\0\108\20\129\88\0\108\20\129\89\0\79\20\129\89\0\93\20\129\89\0",
	3380, "\120\21\5\129\86\0\108\21\5\129\86\0\108\21\5\129\87\0\79\21\5\129\87\0\93\21\5\129\87\0",
	3541, "\120\21\22\129\85\0\108\21\22\129\85\0\108\21\22\129\94\0\79\21\22\129\94\0\93\21\22\129\94\0",
	3701, "\120\21\33\129\85\0\108\21\33\129\85\0\108\21\33\129\94\0\79\21\33\129\94\0\93\21\33\129\94\0",
	3862, "\120\21\40\129\85\0\108\21\40\129\85\0\108\21\40\129\94\0\79\21\40\129\94\0\93\21\40\129\94\0",
	4023, "\120\21\47\129\85\0\108\21\47\129\85\0\108\21\47\129\94\0\79\21\47\129\94\0\93\21\47\129\94\0",
	4184, "\120\21\54\129\85\0\108\21\54\129\85\0\108\21\54\129\94\0\79\21\54\129\94\0\93\21\54\129\94\0",
	4345, "\120\21\61\129\85\0\108\21\61\129\85\0\108\21\61\129\94\0\79\21\61\129\94\0\93\21\61\129\94\0",
	4506, "\120\21\68\129\85\0\108\21\68\129\85\0\108\21\68\129\94\0\79\21\68\129\94\0\93\21\68\129\94\0",
	4667, "\120\21\75\129\85\0\108\21\75\129\85\0\108\21\75\129\94\0\79\21\75\129\94\0\93\21\75\129\94\0",
	4828, "\121\27\129\90\0\109\27\129\90\0\109\27\129\91\0\80\27\129\91\0\94\27\129\91\0",
	4989, "\121\32\5\129\86\0\109\32\5\129\86\0\109\32\5\129\87\0\80\32\5\129\87\0\94\32\5\129\87\0",
	5150, "\121\32\22\129\85\0\109\32\22\129\85\0\109\32\22\129\94\0\80\32\22\129\94\0\94\32\22\129\94\0",
	5311, "\121\32\33\129\85\0\109\32\33\129\85\0\109\32\33\129\94\0\80\32\33\129\94\0\94\32\33\129\94\0",
	5472, "\121\32\40\129\85\0\109\32\40\129\85\0\109\32\40\129\94\0\80\32\40\129\94\0\94\32\40\129\94\0",
	5633, "\121\32\47\129\85\0\109\32\47\129\85\0\109\32\47\129\94\0\80\32\47\129\94\0\94\32\47\129\94\0",
	5794, "\121\32\54\129\85\0\109\32\54\129\85\0\109\32\54\129\94\0\80\32\54\129\94\0\94\32\54\129\94\0",
	5955, "\121\32\61\129\85\0\109\32\61\129\85\0\109\32\61\129\94\0\80\32\61\129\94\0\94\32\61\129\94\0",
	6116, "\121\32\68\129\85\0\109\32\68\129\85\0\109\32\68\129\94\0\80\32\68\129\94\0\94\32\68\129\94\0",
	6276, "\121\32\75\129\85\0\109\32\75\129\85\0\109\32\75\129\94\0\80\32\75\129\94\0\94\32\75\129\94\0",
	6437, "\122\34\129\92\0\110\34\129\92\0\110\34\129\93\0\81\34\129\93\0\95\34\129\93\0",
	6598, "\122\39\5\129\86\0\110\39\5\129\86\0\110\39\5\129\87\0\81\39\5\129\87\0\95\39\5\129\87\0",
	6759, "\122\39\22\129\85\0\110\39\22\129\85\0\110\39\22\129\94\0\81\39\22\129\94\0\95\39\22\129\94\0",
	6920, "\122\39\33\129\85\0\110\39\33\129\85\0\110\39\33\129\94\0\81\39\33\129\94\0\95\39\33\129\94\0",
	7081, "\122\39\40\129\85\0\110\39\40\129\85\0\110\39\40\129\94\0\81\39\40\129\94\0\95\39\40\129\94\0",
	7242, "\122\39\47\129\85\0\110\39\47\129\85\0\110\39\47\129\94\0\81\39\47\129\94\0\95\39\47\129\94\0",
	7403, "\122\39\54\129\85\0\110\39\54\129\85\0\110\39\54\129\94\0\81\39\54\129\94\0\95\39\54\129\94\0",
	7564, "\122\39\61\129\85\0\110\39\61\129\85\0\110\39\61\129\94\0\81\39\61\129\94\0\95\39\61\129\94\0",
	7725, "\122\39\68\129\85\0\110\39\68\129\85\0\110\39\68\129\94\0\81\39\68\129\94\0\95\39\68\129\94\0",
	7886, "\122\39\75\129\85\0\110\39\75\129\85\0\110\39\75\129\94\0\81\39\75\129\94\0\95\39\75\129\94\0",
	8047, "\124\41\129\107\0\112\41\129\107\0\112\41\129\108\0\83\41\129\108\0\97\41\129\108\0",
	8208, "\124\46\5\129\86\0\112\46\5\129\86\0\112\46\5\129\87\0\83\46\5\129\87\0\97\46\5\129\87\0",
	8369, "\124\46\22\129\85\0\112\46\22\129\85\0\112\46\22\129\94\0\83\46\22\129\94\0\97\46\22\129\94\0",
	8530, "\124\46\33\129\85\0\112\46\33\129\85\0\112\46\33\129\94\0\83\46\33\129\94\0\97\46\33\129\94\0",
	8690, "\124\46\40\129\85\0\112\46\40\129\85\0\112\46\40\129\94\0\83\46\40\129\94\0\97\46\40\129\94\0",
	8851, "\124\46\47\129\85\0\112\46\47\129\85\0\112\46\47\129\94\0\83\46\47\129\94\0\97\46\47\129\94\0",
	9012, "\124\46\54\129\85\0\112\46\54\129\85\0\112\46\54\129\94\0\83\46\54\129\94\0\97\46\54\129\94\0",
	9173, "\124\46\61\129\85\0\112\46\61\129\85\0\112\46\61\129\94\0\83\46\61\129\94\0\97\46\61\129\94\0",
	9334, "\124\46\68\129\85\0\112\46\68\129\85\0\112\46\68\129\94\0\83\46\68\129\94\0\97\46\68\129\94\0",
	9495, "\124\46\75\129\85\0\112\46\75\129\85\0\112\46\75\129\94\0\83\46\75\129\94\0\97\46\75\129\94\0",
	9656, "\125\48\129\107\0\113\48\129\107\0\113\48\129\108\0\84\48\129\108\0\98\48\129\108\0",
	9817, "\125\53\5\129\86\0\113\53\5\129\86\0\113\53\5\129\87\0\84\53\5\129\87\0\98\53\5\129\87\0",
	9978, "\125\53\22\129\85\0\113\53\22\129\85\0\113\53\22\129\94\0\84\53\22\129\94\0\98\53\22\129\94\0",
	10139, "\125\53\33\129\85\0\113\53\33\129\85\0\113\53\33\129\94\0\84\53\33\129\94\0\98\53\33\129\94\0",
	10300, "\125\53\40\129\85\0\113\53\40\129\85\0\113\53\40\129\94\0\84\53\40\129\94\0\98\53\40\129\94\0",
	10461, "\125\53\47\129\85\0\113\53\47\129\85\0\113\53\47\129\94\0\84\53\47\129\94\0\98\53\47\129\94\0",
	10622, "\125\53\54\129\85\0\113\53\54\129\85\0\113\53\54\129\94\0\84\53\54\129\94\0\98\53\54\129\94\0",
	10783, "\125\53\61\129\85\0\113\53\61\129\85\0\113\53\61\129\94\0\84\53\61\129\94\0\98\53\61\129\94\0",
	10944, "\125\53\68\129\85\0\113\53\68\129\85\0\113\53\68\129\94\0\84\53\68\129\94\0\98\53\68\129\94\0",
	11104, "\125\53\75\129\85\0\113\53\75\129\85\0\113\53\75\129\94\0\84\53\75\129\94\0\98\53\75\129\94\0",
	11265, "\126\55\129\109\0\114\55\129\109\0\114\55\129\110\0\85\55\129\110\0\99\55\129\110\0",
	11426, "\126\60\5\129\86\0\114\60\5\129\86\0\114\60\5\129\87\0\85\60\5\129\87\0\99\60\5\129\87\0",
	11587, "\126\60\22\129\85\0\114\60\22\129\85\0\114\60\22\129\94\0\85\60\22\129\94\0\99\60\22\129\94\0",
	11748, "\126\60\33\129\85\0\114\60\33\129\85\0\114\60\33\129\94\0\85\60\33\129\94\0\99\60\33\129\94\0",
	11909, "\126\60\40\129\85\0\114\60\40\129\85\0\114\60\40\129\94\0\85\60\40\129\94\0\99\60\40\129\94\0",
	12070, "\126\60\47\129\85\0\114\60\47\129\85\0\114\60\47\129\94\0\85\60\47\129\94\0\99\60\47\129\94\0",
	12231, "\126\60\54\129\85\0\114\60\54\129\85\0\114\60\54\129\94\0\85\60\54\129\94\0\99\60\54\129\94\0",
	12392, "\126\60\61\129\85\0\114\60\61\129\85\0\114\60\61\129\94\0\85\60\61\129\94\0\99\60\61\129\94\0",
	12553, "\126\60\68\129\85\0\114\60\68\129\85\0\114\60\68\129\94\0\85\60\68\129\94\0\99\60\68\129\94\0",
	12714, "\126\60\75\129\85\0\114\60\75\129\85\0\114\60\75\129\94\0\85\60\75\129\94\0\99\60\75\129\94\0",
	12875, "\127\62\129\109\0\115\62\129\109\0\115\62\129\110\0\86\62\129\110\0\100\62\129\110\0",
	13036, "\127\67\5\129\86\0\115\67\5\129\86\0\115\67\5\129\87\0\86\67\5\129\87\0\100\67\5\129\87\0",
	13197, "\127\67\22\129\85\0\115\67\22\129\85\0\115\67\22\129\94\0\86\67\22\129\94\0\100\67\22\129\94\0",
	13358, "\127\67\33\129\85\0\115\67\33\129\85\0\115\67\33\129\94\0\86\67\33\129\94\0\100\67\33\129\94\0",
	13518, "\127\67\40\129\85\0\115\67\40\129\85\0\115\67\40\129\94\0\86\67\40\129\94\0\100\67\40\129\94\0",
	13679, "\127\67\47\129\85\0\115\67\47\129\85\0\115\67\47\129\94\0\86\67\47\129\94\0\100\67\47\129\94\0",
	13840, "\127\67\54\129\85\0\115\67\54\129\85\0\115\67\54\129\94\0\86\67\54\129\94\0\100\67\54\129\94\0",
	14001, "\127\67\61\129\85\0\115\67\61\129\85\0\115\67\61\129\94\0\86\67\61\129\94\0\100\67\61\129\94\0",
	14162, "\127\67\68\129\85\0\115\67\68\129\85\0\115\67\68\129\94\0\86\67\68\129\94\0\100\67\68\129\94\0",
	14323, "\127\67\75\129\85\0\115\67\75\129\85\0\115\67\75\129\94\0\86\67\75\129\94\0\100\67\75\129\94\0",
	14484, "\129\0\69\129\107\0\116\69\129\107\0\116\69\129\108\0\87\69\129\108\0\101\69\129\108\0",
	14645, "\129\0\74\5\129\86\0\116\74\5\129\86\0\116\74\5\129\87\0\87\74\5\129\87\0\101\74\5\129\87\0",
	14806, "\129\0\74\22\129\85\0\116\74\22\129\85\0\116\74\22\129\94\0\87\74\22\129\94\0\101\74\22\129\94\0",
	14967, "\129\0\74\33\129\85\0\116\74\33\129\85\0\116\74\33\129\94\0\87\74\33\129\94\0\101\74\33\129\94\0",
	15128, "\129\0\74\40\129\85\0\116\74\40\129\85\0\116\74\40\129\94\0\87\74\40\129\94\0\101\74\40\129\94\0",
	15289, "\129\0\74\47\129\85\0\116\74\47\129\85\0\116\74\47\129\94\0\87\74\47\129\94\0\101\74\47\129\94\0",
	15450, "\129\0\74\54\129\85\0\116\74\54\129\85\0\116\74\54\129\94\0\87\74\54\129\94\0\101\74\54\129\94\0",
	15611, "\129\0\74\61\129\85\0\116\74\61\129\85\0\116\74\61\129\94\0\87\74\61\129\94\0\101\74\61\129\94\0",
	15772, "\129\0\74\68\129\85\0\116\74\68\129\85\0\116\74\68\129\94\0\87\74\68\129\94\0\101\74\68\129\94\0",
	15933, "\129\0\74\75\129\85\0\116\74\75\129\85\0\116\74\75\129\94\0\87\74\75\129\94\0\101\74\75\129\94\0",
	16093, "\118\6\129\107\0\106\6\129\107\0\106\6\129\108\0\77\6\129\108\0\91\6\129\108\0",
	17703, "\117\10\129\95\0\105\10\129\95\0\105\10\129\96\0\76\10\129\96\0\90\10\129\96\0",
	19312, "\120\11\129\95\0\108\11\129\95\0\108\11\129\96\0\79\11\129\96\0\93\11\129\96\0",
	20921, "\121\12\129\95\0\109\12\129\95\0\109\12\129\96\0\80\12\129\96\0\94\12\129\96\0",
	22531, "\122\13\129\95\0\110\13\129\95\0\110\13\129\96\0\81\13\129\96\0\95\13\129\96\0",
	24140, "\124\14\129\95\0\112\14\129\95\0\112\14\129\96\0\83\14\129\96\0\97\14\129\96\0",
	25750, "\125\15\129\95\0\113\15\129\95\0\113\15\129\96\0\84\15\129\96\0\98\15\129\96\0",
	27359, "\126\16\129\95\0\114\16\129\95\0\114\16\129\96\0\85\16\129\96\0\99\16\129\96\0",
	28968, "\127\17\129\95\0\115\17\129\95\0\115\17\129\96\0\86\17\129\96\0\100\17\129\96\0",
	30578, "\129\0\18\129\95\0\116\18\129\95\0\116\18\129\96\0\87\18\129\96\0\101\18\129\96\0",
	32187, "\120\23\129\95\0\108\23\129\95\0\108\23\129\96\0\79\23\129\96\0\93\23\129\96\0",
	33796, "\120\26\129\6\129\83\0\108\26\129\6\129\83\0\108\26\129\6\129\84\0\79\26\129\6\129\84\0\93\26\129\6\129\84\0",
	35406, "\120\26\129\9\129\88\0\108\26\129\9\129\88\0\108\26\129\9\129\89\0\79\26\129\9\129\89\0\93\26\129\9\129\89\0",
	37015, "\120\26\129\11\129\90\0\108\26\129\11\129\90\0\108\26\129\11\129\91\0\79\26\129\11\129\91\0\93\26\129\11\129\91\0",
	38624, "\120\26\129\13\129\92\0\108\26\129\13\129\92\0\108\26\129\13\129\93\0\79\26\129\13\129\93\0\93\26\129\13\129\93\0",
	40234, "\120\26\129\15\129\107\0\108\26\129\15\129\107\0\108\26\129\15\129\108\0\79\26\129\15\129\108\0\93\26\129\15\129\108\0",
	41843, "\120\26\129\17\129\107\0\108\26\129\17\129\107\0\108\26\129\17\129\108\0\79\26\129\17\129\108\0\93\26\129\17\129\108\0",
	43452, "\120\26\129\19\129\109\0\108\26\129\19\129\109\0\108\26\129\19\129\110\0\79\26\129\19\129\110\0\93\26\129\19\129\110\0",
	45062, "\120\26\129\21\129\109\0\108\26\129\21\129\109\0\108\26\129\21\129\110\0\79\26\129\21\129\110\0\93\26\129\21\129\110\0",
	46671, "\120\26\129\23\129\107\0\108\26\129\23\129\107\0\108\26\129\23\129\108\0\79\26\129\23\129\108\0\93\26\129\23\129\108\0",
	48280, "\121\28\129\95\0\109\28\129\95\0\109\28\129\96\0\80\28\129\96\0\94\28\129\96\0",
	49890, "\121\31\129\6\129\83\0\109\31\129\6\129\83\0\109\31\129\6\129\84\0\80\31\129\6\129\84\0\94\31\129\6\129\84\0",
	51499, "\121\31\129\9\129\88\0\109\31\129\9\129\88\0\109\31\129\9\129\89\0\80\31\129\9\129\89\0\94\31\129\9\129\89\0",
	53108, "\121\31\129\11\129\90\0\109\31\129\11\129\90\0\109\31\129\11\129\91\0\80\31\129\11\129\91\0\94\31\129\11\129\91\0",
	54718, "\121\31\129\13\129\92\0\109\31\129\13\129\92\0\109\31\129\13\129\93\0\80\31\129\13\129\93\0\94\31\129\13\129\93\0",
	56327, "\121\31\129\15\129\107\0\109\31\129\15\129\107\0\109\31\129\15\129\108\0\80\31\129\15\129\108\0\94\31\129\15\129\108\0",
	57936, "\121\31\129\17\129\107\0\109\31\129\17\129\107\0\109\31\129\17\129\108\0\80\31\129\17\129\108\0\94\31\129\17\129\108\0",
	59546, "\121\31\129\19\129\109\0\109\31\129\19\129\109\0\109\31\129\19\129\110\0\80\31\129\19\129\110\0\94\31\129\19\129\110\0",
	61155, "\121\31\129\21\129\109\0\109\31\129\21\129\109\0\109\31\129\21\129\110\0\80\31\129\21\129\110\0\94\31\129\21\129\110\0",
	62764, "\121\31\129\23\129\107\0\109\31\129\23\129\107\0\109\31\129\23\129\108\0\80\31\129\23\129\108\0\94\31\129\23\129\108\0",
	64374, "\123\35\129\101\0\111\35\129\101\0\111\35\129\102\0\82\35\129\102\0\96\35\129\102\0",
	65983, "\123\38\129\6\129\83\0\111\38\129\6\129\83\0\111\38\129\6\129\84\0\82\38\129\6\129\84\0\96\38\129\6\129\84\0",
	67592, "\123\38\129\9\129\88\0\111\38\129\9\129\88\0\111\38\129\9\129\89\0\82\38\129\9\129\89\0\96\38\129\9\129\89\0",
	69202, "\123\38\129\11\129\90\0\111\38\129\11\129\90\0\111\38\129\11\129\91\0\82\38\129\11\129\91\0\96\38\129\11\129\91\0",
	70811, "\123\38\129\13\129\92\0\111\38\129\13\129\92\0\111\38\129\13\129\93\0\82\38\129\13\129\93\0\96\38\129\13\129\93\0",
	72420, "\123\38\129\15\129\107\0\111\38\129\15\129\107\0\111\38\129\15\129\108\0\82\38\129\15\129\108\0\96\38\129\15\129\108\0",
	74030, "\123\38\129\17\129\107\0\111\38\129\17\129\107\0\111\38\129\17\129\108\0\82\38\129\17\129\108\0\96\38\129\17\129\108\0",
	75639, "\123\38\129\19\129\109\0\111\38\129\19\129\109\0\111\38\129\19\129\110\0\82\38\129\19\129\110\0\96\38\129\19\129\110\0",
	77249, "\123\38\129\21\129\109\0\111\38\129\21\129\109\0\111\38\129\21\129\110\0\82\38\129\21\129\110\0\96\38\129\21\129\110\0",
	78858, "\123\38\129\23\129\107\0\111\38\129\23\129\107\0\111\38\129\23\129\108\0\82\38\129\23\129\108\0\96\38\129\23\129\108\0",
	80467, "\124\42\129\105\0\112\42\129\105\0\112\42\129\106\0\83\42\129\106\0\97\42\129\106\0",
	82077, "\124\45\129\6\129\83\0\112\45\129\6\129\83\0\112\45\129\6\129\84\0\83\45\129\6\129\84\0\97\45\129\6\129\84\0",
	83686, "\124\45\129\9\129\88\0\112\45\129\9\129\88\0\112\45\129\9\129\89\0\83\45\129\9\129\89\0\97\45\129\9\129\89\0",
	85295, "\124\45\129\11\129\90\0\112\45\129\11\129\90\0\112\45\129\11\129\91\0\83\45\129\11\129\91\0\97\45\129\11\129\91\0",
	86905, "\124\45\129\13\129\92\0\112\45\129\13\129\92\0\112\45\129\13\129\93\0\83\45\129\13\129\93\0\97\45\129\13\129\93\0",
	88514, "\124\45\129\15\129\107\0\112\45\129\15\129\107\0\112\45\129\15\129\108\0\83\45\129\15\129\108\0\97\45\129\15\129\108\0",
	90123, "\124\45\129\17\129\107\0\112\45\129\17\129\107\0\112\45\129\17\129\108\0\83\45\129\17\129\108\0\97\45\129\17\129\108\0",
	91733, "\124\45\129\19\129\109\0\112\45\129\19\129\109\0\112\45\129\19\129\110\0\83\45\129\19\129\110\0\97\45\129\19\129\110\0",
	93342, "\124\45\129\21\129\109\0\112\45\129\21\129\109\0\112\45\129\21\129\110\0\83\45\129\21\129\110\0\97\45\129\21\129\110\0",
	94951, "\124\45\129\23\129\107\0\112\45\129\23\129\107\0\112\45\129\23\129\108\0\83\45\129\23\129\108\0\97\45\129\23\129\108\0",
	96561, "\125\49\129\105\0\113\49\129\105\0\113\49\129\106\0\84\49\129\106\0\98\49\129\106\0",
	98170, "\125\52\129\6\129\83\0\113\52\129\6\129\83\0\113\52\129\6\129\84\0\84\52\129\6\129\84\0\98\52\129\6\129\84\0",
	99779, "\125\52\129\9\129\88\0\113\52\129\9\129\88\0\113\52\129\9\129\89\0\84\52\129\9\129\89\0\98\52\129\9\129\89\0",
	101389, "\125\52\129\11\129\90\0\113\52\129\11\129\90\0\113\52\129\11\129\91\0\84\52\129\11\129\91\0\98\52\129\11\129\91\0",
	102998, "\125\52\129\13\129\92\0\113\52\129\13\129\92\0\113\52\129\13\129\93\0\84\52\129\13\129\93\0\98\52\129\13\129\93\0",
	104607, "\125\52\129\15\129\107\0\113\52\129\15\129\107\0\113\52\129\15\129\108\0\84\52\129\15\129\108\0\98\52\129\15\129\108\0",
	106217, "\125\52\129\17\129\107\0\113\52\129\17\129\107\0\113\52\129\17\129\108\0\84\52\129\17\129\108\0\98\52\129\17\129\108\0",
	107826, "\125\52\129\19\129\109\0\113\52\129\19\129\109\0\113\52\129\19\129\110\0\84\52\129\19\129\110\0\98\52\129\19\129\110\0",
	109435, "\125\52\129\21\129\109\0\113\52\129\21\129\109\0\113\52\129\21\129\110\0\84\52\129\21\129\110\0\98\52\129\21\129\110\0",
	111045, "\125\52\129\23\129\107\0\113\52\129\23\129\107\0\113\52\129\23\129\108\0\84\52\129\23\129\108\0\98\52\129\23\129\108\0",
	112654, "\126\56\129\105\0\114\56\129\105\0\114\56\129\106\0\85\56\129\106\0\99\56\129\106\0",
	114263, "\126\59\129\6\129\83\0\114\59\129\6\129\83\0\114\59\129\6\129\84\0\85\59\129\6\129\84\0\99\59\129\6\129\84\0",
	115873, "\126\59\129\9\129\88\0\114\59\129\9\129\88\0\114\59\129\9\129\89\0\85\59\129\9\129\89\0\99\59\129\9\129\89\0",
	117482, "\126\59\129\11\129\90\0\114\59\129\11\129\90\0\114\59\129\11\129\91\0\85\59\129\11\129\91\0\99\59\129\11\129\91\0",
	119091, "\126\59\129\13\129\92\0\114\59\129\13\129\92\0\114\59\129\13\129\93\0\85\59\129\13\129\93\0\99\59\129\13\129\93\0",
	120701, "\126\59\129\15\129\107\0\114\59\129\15\129\107\0\114\59\129\15\129\108\0\85\59\129\15\129\108\0\99\59\129\15\129\108\0",
	122310, "\126\59\129\17\129\107\0\114\59\129\17\129\107\0\114\59\129\17\129\108\0\85\59\129\17\129\108\0\99\59\129\17\129\108\0",
	123919, "\126\59\129\19\129\109\0\114\59\129\19\129\109\0\114\59\129\19\129\110\0\85\59\129\19\129\110\0\99\59\129\19\129\110\0",
	125529, "\126\59\129\21\129\109\0\114\59\129\21\129\109\0\114\59\129\21\129\110\0\85\59\129\21\129\110\0\99\59\129\21\129\110\0",
	127138, "\126\59\129\23\129\107\0\114\59\129\23\129\107\0\114\59\129\23\129\108\0\85\59\129\23\129\108\0\99\59\129\23\129\108\0",
	128748, "\127\63\129\105\0\115\63\129\105\0\115\63\129\106\0\86\63\129\106\0\100\63\129\106\0",
	130357, "\127\66\129\6\129\83\0\115\66\129\6\129\83\0\115\66\129\6\129\84\0\86\66\129\6\129\84\0\100\66\129\6\129\84\0",
	131966, "\127\66\129\9\129\88\0\115\66\129\9\129\88\0\115\66\129\9\129\89\0\86\66\129\9\129\89\0\100\66\129\9\129\89\0",
	133576, "\127\66\129\11\129\90\0\115\66\129\11\129\90\0\115\66\129\11\129\91\0\86\66\129\11\129\91\0\100\66\129\11\129\91\0",
	135185, "\127\66\129\13\129\92\0\115\66\129\13\129\92\0\115\66\129\13\129\93\0\86\66\129\13\129\93\0\100\66\129\13\129\93\0",
	136794, "\127\66\129\15\129\107\0\115\66\129\15\129\107\0\115\66\129\15\129\108\0\86\66\129\15\129\108\0\100\66\129\15\129\108\0",
	138404, "\127\66\129\17\129\107\0\115\66\129\17\129\107\0\115\66\129\17\129\108\0\86\66\129\17\129\108\0\100\66\129\17\129\108\0",
	140013, "\127\66\129\19\129\109\0\115\66\129\19\129\109\0\115\66\129\19\129\110\0\86\66\129\19\129\110\0\100\66\129\19\129\110\0",
	141622, "\127\66\129\21\129\109\0\115\66\129\21\129\109\0\115\66\129\21\129\110\0\86\66\129\21\129\110\0\100\66\129\21\129\110\0",
	143232, "\127\66\129\23\129\107\0\115\66\129\23\129\107\0\115\66\129\23\129\108\0\86\66\129\23\129\108\0\100\66\129\23\129\108\0",
	144841, "\129\0\70\129\111\0\116\70\129\111\0\116\70\129\112\0\87\70\129\112\0\101\70\129\112\0",
	146450, "\129\0\73\129\6\129\83\0\116\73\129\6\129\83\0\116\73\129\6\129\84\0\87\73\129\6\129\84\0\101\73\129\6\129\84\0",
	148060, "\129\0\73\129\9\129\88\0\116\73\129\9\129\88\0\116\73\129\9\129\89\0\87\73\129\9\129\89\0\101\73\129\9\129\89\0",
	149669, "\129\0\73\129\11\129\90\0\116\73\129\11\129\90\0\116\73\129\11\129\91\0\87\73\129\11\129\91\0\101\73\129\11\129\91\0",
	151278, "\129\0\73\129\13\129\92\0\116\73\129\13\129\92\0\116\73\129\13\129\93\0\87\73\129\13\129\93\0\101\73\129\13\129\93\0",
	152888, "\129\0\73\129\15\129\107\0\116\73\129\15\129\107\0\116\73\129\15\129\108\0\87\73\129\15\129\108\0\101\73\129\15\129\108\0",
	154497, "\129\0\73\129\17\129\107\0\116\73\129\17\129\107\0\116\73\129\17\129\108\0\87\73\129\17\129\108\0\101\73\129\17\129\108\0",
	156106, "\129\0\73\129\19\129\109\0\116\73\129\19\129\109\0\116\73\129\19\129\110\0\87\73\129\19\129\110\0\101\73\129\19\129\110\0",
	157716, "\129\0\73\129\21\129\109\0\116\73\129\21\129\109\0\116\73\129\21\129\110\0\87\73\129\21\129\110\0\101\73\129\21\129\110\0",
	159325, "\129\0\73\129\23\129\107\0\116\73\129\23\129\107\0\116\73\129\23\129\108\0\87\73\129\23\129\108\0\101\73\129\23\129\108\0",
	160934, "\119\7\129\111\0\107\7\129\111\0\107\7\129\112\0\78\7\129\112\0\92\7\129\112\0",
	177028, "\119\9\129\7\129\107\0\107\9\129\7\129\107\0\107\9\129\7\129\108\0\78\9\129\7\129\108\0\92\9\129\7\129\108\0",
	193121, "\119\9\129\10\129\95\0\107\9\129\10\129\95\0\107\9\129\10\129\96\0\78\9\129\10\129\96\0\92\9\129\10\129\96\0",
	209215, "\119\9\129\12\129\95\0\107\9\129\12\129\95\0\107\9\129\12\129\96\0\78\9\129\12\129\96\0\92\9\129\12\129\96\0",
	225308, "\119\9\129\14\129\101\0\107\9\129\14\129\101\0\107\9\129\14\129\102\0\78\9\129\14\129\102\0\92\9\129\14\129\102\0",
	241402, "\119\9\129\16\129\105\0\107\9\129\16\129\105\0\107\9\129\16\129\106\0\78\9\129\16\129\106\0\92\9\129\16\129\106\0",
	257495, "\119\9\129\18\129\105\0\107\9\129\18\129\105\0\107\9\129\18\129\106\0\78\9\129\18\129\106\0\92\9\129\18\129\106\0",
	273588, "\119\9\129\20\129\105\0\107\9\129\20\129\105\0\107\9\129\20\129\106\0\78\9\129\20\129\106\0\92\9\129\20\129\106\0",
	289682, "\119\9\129\22\129\105\0\107\9\129\22\129\105\0\107\9\129\22\129\106\0\78\9\129\22\129\106\0\92\9\129\22\129\106\0",
	305775, "\119\9\129\24\129\111\0\107\9\129\24\129\111\0\107\9\129\24\129\112\0\78\9\129\24\129\112\0\92\9\129\24\129\112\0",
	321869, "\120\24\129\97\0\108\24\129\97\0\108\24\129\98\0\79\24\129\98\0\93\24\129\98\0",
	337962, "\120\25\129\7\129\107\0\108\25\129\7\129\107\0\108\25\129\7\129\108\0\79\25\129\7\129\108\0\93\25\129\7\129\108\0",
	354056, "\120\25\129\10\129\95\0\108\25\129\10\129\95\0\108\25\129\10\129\96\0\79\25\129\10\129\96\0\93\25\129\10\129\96\0",
	370149, "\120\25\129\12\129\95\0\108\25\129\12\129\95\0\108\25\129\12\129\96\0\79\25\129\12\129\96\0\93\25\129\12\129\96\0",
	386243, "\120\25\129\14\129\101\0\108\25\129\14\129\101\0\108\25\129\14\129\102\0\79\25\129\14\129\102\0\93\25\129\14\129\102\0",
	402336, "\120\25\129\16\129\105\0\108\25\129\16\129\105\0\108\25\129\16\129\106\0\79\25\129\16\129\106\0\93\25\129\16\129\106\0",
	418429, "\120\25\129\18\129\105\0\108\25\129\18\129\105\0\108\25\129\18\129\106\0\79\25\129\18\129\106\0\93\25\129\18\129\106\0",
	434523, "\120\25\129\20\129\105\0\108\25\129\20\129\105\0\108\25\129\20\129\106\0\79\25\129\20\129\106\0\93\25\129\20\129\106\0",
	450616, "\120\25\129\22\129\105\0\108\25\129\22\129\105\0\108\25\129\22\129\106\0\79\25\129\22\129\106\0\93\25\129\22\129\106\0",
	466710, "\120\25\129\24\129\111\0\108\25\129\24\129\111\0\108\25\129\24\129\112\0\79\25\129\24\129\112\0\93\25\129\24\129\112\0",
	482803, "\121\29\129\99\0\109\29\129\99\0\109\29\129\100\0\80\29\129\100\0\94\29\129\100\0",
	498897, "\121\30\129\7\129\107\0\109\30\129\7\129\107\0\109\30\129\7\129\108\0\80\30\129\7\129\108\0\94\30\129\7\129\108\0",
	514990, "\121\30\129\10\129\95\0\109\30\129\10\129\95\0\109\30\129\10\129\96\0\80\30\129\10\129\96\0\94\30\129\10\129\96\0",
	531084, "\121\30\129\12\129\95\0\109\30\129\12\129\95\0\109\30\129\12\129\96\0\80\30\129\12\129\96\0\94\30\129\12\129\96\0",
	547177, "\121\30\129\14\129\101\0\109\30\129\14\129\101\0\109\30\129\14\129\102\0\80\30\129\14\129\102\0\94\30\129\14\129\102\0",
	563270, "\121\30\129\16\129\105\0\109\30\129\16\129\105\0\109\30\129\16\129\106\0\80\30\129\16\129\106\0\94\30\129\16\129\106\0",
	579364, "\121\30\129\18\129\105\0\109\30\129\18\129\105\0\109\30\129\18\129\106\0\80\30\129\18\129\106\0\94\30\129\18\129\106\0",
	595457, "\121\30\129\20\129\105\0\109\30\129\20\129\105\0\109\30\129\20\129\106\0\80\30\129\20\129\106\0\94\30\129\20\129\106\0",
	611551, "\121\30\129\22\129\105\0\109\30\129\22\129\105\0\109\30\129\22\129\106\0\80\30\129\22\129\106\0\94\30\129\22\129\106\0",
	627644, "\121\30\129\24\129\111\0\109\30\129\24\129\111\0\109\30\129\24\129\112\0\80\30\129\24\129\112\0\94\30\129\24\129\112\0",
	643738, "\122\36\129\99\0\110\36\129\99\0\110\36\129\100\0\81\36\129\100\0\95\36\129\100\0",
	659831, "\122\37\129\7\129\107\0\110\37\129\7\129\107\0\110\37\129\7\129\108\0\81\37\129\7\129\108\0\95\37\129\7\129\108\0",
	675924, "\122\37\129\10\129\95\0\110\37\129\10\129\95\0\110\37\129\10\129\96\0\81\37\129\10\129\96\0\95\37\129\10\129\96\0",
	692018, "\122\37\129\12\129\95\0\110\37\129\12\129\95\0\110\37\129\12\129\96\0\81\37\129\12\129\96\0\95\37\129\12\129\96\0",
	708111, "\122\37\129\14\129\101\0\110\37\129\14\129\101\0\110\37\129\14\129\102\0\81\37\129\14\129\102\0\95\37\129\14\129\102\0",
	724205, "\122\37\129\16\129\105\0\110\37\129\16\129\105\0\110\37\129\16\129\106\0\81\37\129\16\129\106\0\95\37\129\16\129\106\0",
	740298, "\122\37\129\18\129\105\0\110\37\129\18\129\105\0\110\37\129\18\129\106\0\81\37\129\18\129\106\0\95\37\129\18\129\106\0",
	756392, "\122\37\129\20\129\105\0\110\37\129\20\129\105\0\110\37\129\20\129\106\0\81\37\129\20\129\106\0\95\37\129\20\129\106\0",
	772485, "\122\37\129\22\129\105\0\110\37\129\22\129\105\0\110\37\129\22\129\106\0\81\37\129\22\129\106\0\95\37\129\22\129\106\0",
	788579, "\122\37\129\24\129\111\0\110\37\129\24\129\111\0\110\37\129\24\129\112\0\81\37\129\24\129\112\0\95\37\129\24\129\112\0",
	804672, "\124\43\129\103\0\112\43\129\103\0\112\43\129\104\0\83\43\129\104\0\97\43\129\104\0",
	820765, "\129\1\129\113\43\129\103\0\129\3\129\113\43\129\103\0\129\3\129\113\43\129\104\0\88\129\113\43\129\104\0\97\43\129\104\0",
}

ordinals = {
	{L"1st", nil, nil},
	{L"2nd", nil, nil},
	{L"3rd", nil, nil},
	{L"4th", nil, nil},
	{L"5th", nil, nil},
	{L"6th", nil, nil},
	{L"7th", nil, nil},
	{L"8th", nil, nil},
	{L"9th", nil, nil},
	{L"10th", nil, nil},
	{L"11th", nil, nil},
	{L"12th", nil, nil},
	{L"13th", nil, nil},
	{L"14th", nil, nil},
	{L"15th", nil, nil},
	{L"16th", nil, nil},
	{L"17th", nil, nil},
	{L"18th", nil, nil},
	{L"19th", nil, nil},
	{L"20th", nil, nil},
}

